static char *sccsid = "@(#) samples/oltp/amqsxae0.c, samples, p530, p530-CSD06J  1.17.2.6 03/08/04 16:24:05";
/*********************************************************************/
/*                                                                   */
/* Module Name: amqsxae0.c                                           */
/*                                                                   */
/* Description: WebSphere MQ sample Encina program                   */
/* <START_COPYRIGHT>                                                 */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* 5724-B41                                                          */
/* (C) Copyright IBM Corp. 1994, 2003 All Rights Reserved.           */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/* <END_COPYRIGHT>                                                   */
/*********************************************************************/
/*              IMPORTANT INFORMATION WHEN USING THIS PROGRAM        */
/*                        ON WINDOWS* NT PLATFORM                    */
/*                                                                   */
/* If this program is to be used on a Windows* NT platform then you  */
/* must ensure that a symbolic constant named "WIN32" is defined at  */
/* compile time.                                                     */
/*                                                                   */
/* This can be done by specifying the compiler option: -DWIN32       */
/*                                                                   */
/* The symbolic constant "WIN32" is referenced twice in the code by  */
/* the statement "#if defined(WIN32)".                               */
/*                                                                   */
/* (* Windows is a trademark of Microsoft Corporation.)              */
/*                                                                   */
/*                        END OF INFORMATION                         */
/*********************************************************************/
/*              IMPORTANT INFORMATION WHEN USING THIS PROGRAM        */
/*                        ON A WEBSPHERE MQ CLIENT                   */
/*                                                                   */
/* If this program is to be used on a WebSphere MQ client then you   */
/* must ensure that a symbolic constant named "MQXACLIENT" is        */
/* defined at compile time.                                          */
/*                                                                   */
/* This can be done by specifying the compiler option: -DMQXACLIENT  */
/*                                                                   */
/* The symbolic constant "MQXACLIENT" is referenced in the code by   */
/* the statement "#if defined(MQXACLIENT)".                          */
/*                                                                   */
/*                        END OF INFORMATION                         */
/*********************************************************************/
/* Function:                                                         */
/*                                                                   */
/* amqsxae0.c is an WebSphere MQ sample of an Encina transaction     */
/* working with WebSphere MQ.                                        */
/*                                                                   */
/* This program puts 10 messages to the queue, backing out the odd   */
/* numbered messages and committing the even numbered messages.      */
/* The message is a 4-byte number.                                   */
/*                                                                   */
/* For information on compiling and linking this sample program,     */
/* refer to the "Building an WebSphere MQ application" and           */
/* "Sample WebSphere MQ programs" parts of the                       */
/* "WebSphere MQ Application Programming Guide".                     */
/*                                                                   */
/* amqsxae0.c contains the following functions:                      */
/*  main                 Encina entry point                          */
/*                                                                   */
/*********************************************************************/

/*********************************************************************/
/* Includes                                                          */
/*********************************************************************/

/*********************************************************************/
/* Select compiler specific header files                             */
/*********************************************************************/
#include <time.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/*********************************************************************/
/* include Encina header files                                       */
/*********************************************************************/
#include <tc/tc.h>
#include <tmxa/tmxa_status.h>
#include <tmxa/tmxa.h>

/*********************************************************************/
/* Register module with Tran-C                                       */
/*********************************************************************/
inModule("MFXAtest");

/*********************************************************************/
/* includes for MQI                                                  */
/*********************************************************************/
#include <cmqc.h>
#include <cmqcfc.h>

/*********************************************************************/
/* Defines                                                           */
/*********************************************************************/
#ifndef min
  #define min(a,b)        (((a) < (b)) ? (a) : (b))
#endif

/*********************************************************************/
/* prototype the dummy recovery services                             */
/*********************************************************************/
unsigned int myAppl_ApplCallBack(void * arg);
void RecPrepare(tran_serviceId_t serviceid,
                tran_tid_t tid,
                tran_logRecord_t prepareRecord,
                tran_recOptimization_t *optimise);
void RecCommit(tran_serviceId_t serviceid,
               tran_tid_t tid,
               tran_recOptimization_t *optimise);
void RecWrite(tran_serviceId_t serviceid,
              tran_tid_t tid,
              tran_logRecord_t record,
              tran_recOptimization_t *optimise);
void RecFinished(tran_serviceId_t serviceid,
                 tran_tid_t tid,
                 tran_recOptimization_t *optimise);
void RecAbort(tran_serviceId_t serviceid,
              tran_tid_t tid,
              tran_recOptimization_t *optimise);
void RecBlock(tran_serviceId_t serviceid,
              tran_tid_t tid,
              tran_blockId_t blockid,
              unsigned long  microsecondsUntilAlarm);
void RecWakeup(tran_serviceId_t serviceId,
               tran_tid_t tid,
               tran_blockId_t blockId);
void RecActive(tran_serviceId_t serviceid,
               tran_tid_t tid,
               int activeNow);

/*********************************************************************/
/* NOTE: IN THE FOLLOWING DECLARATIONS FOR "MQRMIXASwitch" and       */
/*       "MQRMIXASwitchDynamic", IF COMPILING FOR A WINDOWS* NT      */
/*       PLATFORM, YOU MUST ENSURE THAT THE SYMBOLIC CONSTANT "WIN32"*/
/*       IS DEFINED AT COMPILE TIME.                                 */
/*                                                                   */
/* Either MQRMIXASwitch or MQRMIXASwitchDynamic can be used.         */
/*                                                                   */
/* NOTE: WHICHEVER SWITCH YOU USE MUST BE NAMED ON THE SUBSEQUENT    */
/*       ASSIGNMENT TO THE  "switchP"  variable.                     */
/*       THE DEFAULT ASSIGNMENT VALUE IS "MQRMIXASwitch".            */
/*                                                                   */
/*********************************************************************/

#if defined(WIN32)
__declspec(dllimport) struct xa_switch_t MQRMIXASwitch;
__declspec(dllimport) struct xa_switch_t MQRMIXASwitchDynamic;
#else
extern struct xa_switch_t MQRMIXASwitch;
extern struct xa_switch_t MQRMIXASwitchDynamic;
#endif

/*********************************************************************/
/* Define the name of the queue manager (use default). Note on a     */
/* client you must supply the name of the queue manager.             */
/*********************************************************************/
#define MYQMGR ""

/*********************************************************************/
/* the program itself                                                */
/*********************************************************************/

#if defined(WIN32)
int __cdecl main(int argc, char **argv)
#else
int         main(int argc, char **argv)
#endif
{
  /*******************************************************************/
  /* Declare MQI structures needed                                   */
  /*******************************************************************/
  MQOD     od={MQOD_DEFAULT};         /* object descriptor           */
  MQPMO    pmo={MQPMO_DEFAULT};       /* put message options         */
  MQMD     md={MQMD_DEFAULT};         /* message descriptor          */

  /*******************************************************************/
  /* note, uses defaults where it can                                */
  /*******************************************************************/
  MQHCONN  Hcon;                      /* connection handle           */
  MQHOBJ   Hobj;                      /* object handle               */
  MQLONG   CompCode;                  /* completion code             */
  MQLONG   Reason;                    /* reason code                 */
  MQLONG   CReason;                   /* reason code for MQCONN      */
  char QMName[MQ_Q_NAME_LENGTH+1]=""; /* queue manager name          */
  int      flret;                     /* used in flush               */
  int      ch;                        /* used for pause              */
  int      i2;                        /* counter                     */
  /*******************************************************************/
  /* openInfo on a client must be of the form:                       */
  /* qmname=xxx,channel=xxx,conname=x.xxx.xx.xx(xxxx),trptype=xxx    */
  /*******************************************************************/
  char     openInfo[MAXINFOSIZE]="";  /* used in xa_open calls       */
  char     closeInfo[MAXINFOSIZE]=""; /* used in xa_close calls      */

  struct   xa_switch_t *switchP = &MQRMIXASwitch;
                                      /* MQ Series XA switch         */

  int      threadSupport = TMXA_SERIALIZE_ALL_XA_OPERATIONS;
                                      /* the kind of thread support  */
  int      rmid;                      /* resource manager id         */
  tmxa_status_t    tmxarc;            /* registration ret code       */
  tran_serviceId_t service_id;        /* service identifier          */
  struct tagmsg {
                   int number;
                } msg;

  /*******************************************************************/
  /* Register function with Tran-C                                   */
  /*******************************************************************/
  inFunction("main");

  /*******************************************************************/
  /* If we are on a client prompt user for input                     */
  /*******************************************************************/
  #if defined(MQXACLIENT)
  {
    char *pChr;                       /* ptr char                  */
    FILE *pFile=stdin;                /* ptr file for input        */

    printf("Enter queue manager name\n");

    while (strlen(QMName) == 0)
    {
      fgets(QMName, MQ_Q_MGR_NAME_LENGTH + 1, pFile);
      pChr = strchr(QMName, '\n');    /* remove new-line char      */
      if (pChr != NULL)
        *pChr = '\0';
      if (strlen(QMName) == 0)
        printf("Invalid input ! Enter queue manager name\n");
    } /* endwhile */

    printf("Enter xa_open xa_info string\n");

    while (strlen(openInfo) == 0)
    {
      fgets(openInfo, MAXINFOSIZE, pFile);
      pChr = strchr(openInfo, '\n');  /* remove new-line char      */
      if (pChr != NULL)
        *pChr = '\0';
      if (strlen(openInfo) == 0)
        printf("Invalid input ! Enter xa_open xa_info string\n");
    } /* endwhile */
  }
  #else
    strcpy(QMName,MYQMGR);
  #endif

  /*******************************************************************/
  /* Inform the TM-XA Service of a resource manager instance         */
  /*******************************************************************/
  printf("about to register RMI\n");
  tmxarc = tmxa_RegisterRMI(openInfo,
                            closeInfo,
                            switchP,
                            threadSupport,
                            &rmid);

  switch (tmxarc)
  {
    case TMXA_SUCCESS:
      printf("registered sucessfully\n");
      break;
    case TMXA_ALREADY_INITIALIZED:
      printf("already initialised\n");
      break;
    case TMXA_INVALID_PARAM:
      printf("invalid parm\n");
      exit(99);
      break;
    case TMXA_TOO_MANY_INSTANCES_REGISTERED:
      printf("too many instances registered\n");
      exit(99);
      break;
    case TMXA_NO_MORE_MEMORY:
      printf("no more memory\n");
      exit(99);
      break;
    default:
      printf("unknown tmxarc, %d\n",tmxarc);
      exit(99);
      break;
  }

  /*******************************************************************/
  /* register callback for the initialization phase                  */
  /*******************************************************************/
  printf("about to register applcallback\n");
  registerApplCallback(APPL_INIT_CALLBACK,  /* init phase            */
                       myAppl_ApplCallBack, /* callback function     */
                       (void *) 0);         /* functions parameters  */


  /*******************************************************************/
  /* Initialise Tran-C run-time system                               */
  /*******************************************************************/
  printf("about to preinitTC\n");
  if (preInitTC())
  {
    /*****************************************************************/
    /* Initialise the recovery service interface                     */
    /*****************************************************************/
    printf("about to recinit\n");
    tran_RecInit(RecWrite,            /* proc to write log records   */
                 RecPrepare,          /* proc to prepare transaction */
                 RecCommit,           /* to deliver a commit outcome */
                 RecAbort,            /* to deliver an abort outcome */
                 RecFinished,         /* dispose of log records      */
                 RecActive,           /* to say whether trans active */
                 &service_id);        /* service identifier          */

    /*****************************************************************/
    /* provide block and wakeup functions                            */
    /*****************************************************************/
    printf("about to recblockfunctions\n");
    tran_RecBlockFunctions(service_id,/* service identifier          */
                           RecBlock,  /* proc to block waiting       */
                           RecWakeup);/* to make RecBlock return     */
  }
  else
  {
    printf("Spooky but...we've already initialised\n");
  }

  /*******************************************************************/
  /* Finish the Tran-C initialization sequence                       */
  /*******************************************************************/
  printf("about to postinitTC\n");
  postInitTC();


  /*******************************************************************/
  /* Connect to queue manager                                        */
  /*******************************************************************/
  printf("press enter to connect\n");
  ch = getchar();
  printf("about to MQCONN\n");
  MQCONN(QMName,                      /* queue manager               */
         &Hcon,                       /* connection handle           */
         &CompCode,                   /* completion code             */
         &CReason);                   /* reason code                 */

  /*******************************************************************/
  /* report reason and stop if it failed                             */
  /*******************************************************************/
  if (CompCode == MQCC_FAILED)
  {
    printf("MQCONN ended with reason code %d\n", CReason);
    goto exit;
  }

  /*******************************************************************/
  /* Initialize object descriptor for subject queue                  */
  /* Open the test queue. We have to do this first to get it's       */
  /* name, since we're using a model queue.                          */
  /*******************************************************************/
  strcpy(od.ObjectName, "SYSTEM.DEFAULT.MODEL.QUEUE");

  /*******************************************************************/
  /* Open the test queue for input; exclusive or shared.  Use of     */
  /* the queue is controlled by the queue definition here            */
  /*******************************************************************/
  MQOPEN(Hcon,                        /* connection handle           */
         &od,                         /* object descriptor for queue */
          MQOO_OUTPUT                 /* open queue for putting      */
        + MQOO_FAIL_IF_QUIESCING,     /* but not if MQM stopping     */
         &Hobj,                       /* object handle               */
         &CompCode,                   /* completion code             */
         &Reason);                    /* reason code                 */

  /*******************************************************************/
  /* report reason, if any; stop if failed                           */
  /*******************************************************************/
  if (Reason != MQRC_NONE)
  {
    printf("MQOPEN (%s) ==> %d\n", od.ObjectName, Reason);
  }

  /*******************************************************************/
  /* set the put message options to be under syncpoint               */
  /*******************************************************************/
  pmo.Options = pmo.Options + MQPMO_SYNCPOINT;

  /*******************************************************************/
  /* Put the 10 messages, alternately commiting or rolling them      */
  /* back                                                            */
  /*******************************************************************/
  printf("about to do the loop\n");
  for(i2 = 0;i2 < 10 && CompCode == MQCC_OK;i2++)
  {
    transaction                       /* start the transaction       */
    {
      /***************************************************************/
      /* print the transaction id                                    */
      /***************************************************************/
      printf("transaction %d\n", getTid());

      printf("about to put, press enter to continue\n");
      ch = getchar();

      /***************************************************************/
      /* put the message, putting the loop counter number as the     */
      /* data                                                        */
      /***************************************************************/
      msg.number = i2;
      MQPUT(Hcon,                     /* connection handle           */
            Hobj,                     /* object handle               */
            &md,                      /* message descriptor          */
            &pmo,                     /* put message options         */
            (long int)sizeof(msg),    /* size of message data        */
            &msg,                     /* message data                */
            &CompCode,                /* completion code             */
            &Reason );                /* reason code                 */

      /***************************************************************/
      /* if put failed then close, disconnect and exit               */
      /***************************************************************/
      if (CompCode)
      {
        printf("MQPUT Hex  Reason code    = %x\n", Reason);
        printf("           Completion code= %d\n", CompCode);
        flret = fflush(stdout);

        printf( "DO MQCLOSE -MQPUT Failed\n" );

        MQCLOSE(Hcon,                 /* connection handle           */
                &Hobj,                /* object handle               */
                0,                    /* options                     */
                &CompCode,            /* completion code             */
                &Reason);             /* reason code                 */

        printf("MQCLOSE Hex  Reason code    = %x\n", Reason);
        printf("             Completion code= %d\n", CompCode);
        puts("***\n");
        flret = fflush(stdout);

        printf( "DO MQDISC\n" );

        MQDISC(&Hcon,
               &CompCode,
               &Reason );

        printf("MQDISC  Hex  Reason code    = %x\n", Reason);
        printf("             Completion code= %d\n", CompCode);
        puts("***\n");
        flret = fflush(stdout);
        puts("Bye...\n\n");
        goto commit;
      }

      printf("put done, press enter to continue\n");
      ch = getchar();

      /***************************************************************/
      /* If it is an odd numbered transaction then roll back the     */
      /* message, otherwise commit it                                */
      /***************************************************************/
      if (i2 % 2)
          abort("Odd Numbered Transactions are aborted...");
commit:
      ;
    }

    /*****************************************************************/
    /* define what to do at commit and abort time                    */
    /*****************************************************************/
    onCommit
      printf("\t(Transaction committed)\n");
    onAbort
      printf("Aborted in module : %s\n\t%s\n",
             abortModuleName(),
             abortReason());
  } /* endfor */

  /*******************************************************************/
  /* Pause before closing so that you can look at the queue          */
  /* using some other application to verify that only then even      */
  /* numbered messages are on the queue.                             */
  /*******************************************************************/
  printf("press enter to MQCLOSE\n");
  ch = getchar();
  MQCLOSE(Hcon,                       /* connection handle           */
          &Hobj,                      /* object handle               */
          0,                          /* options                     */
          &CompCode,                  /* completion code             */
          &Reason);                   /* reason code                 */

  printf("MQCLOSE Hex  Reason code    = %x\n", Reason);
  printf("             Completion code= %d\n", CompCode);
  puts("***\n");
  flret = fflush(stdout);

  /*******************************************************************/
  /* Disconnect from MQM  (unless previously connected)              */
  /*******************************************************************/
  if (CReason != MQRC_ALREADY_CONNECTED)
  {
    printf("about to MQDISC\n");
    MQDISC(&Hcon,                   /* connection handle             */
           &CompCode,               /* completion code               */
           &Reason);                /* reason code                   */
    /*****************************************************************/
    /* report reason, if any                                         */
    /*****************************************************************/
    if (Reason != MQRC_NONE)
    {
      printf("MQDISC ended with reason code %d\n", Reason);
    }
  }

exit:
   ;

  /*******************************************************************/
  /* Tell the TM-XA Service to close the resource manager instance   */
  /*******************************************************************/
  printf("Closing RMI\n");
  tmxarc = tmxa_CloseRMIs();

  switch (tmxarc)
  {
    case TMXA_SUCCESS:
      printf("closed sucessfully\n");
      break;
    case TMXA_NOT_INITIALIZED:
      printf("not initialised\n");
      break;
    case TMXA_XACLOSE_ERROR:
      printf("xa_close error\n");
      break;
    case TMXA_XAEND_ERROR:
      printf("xa_end error\n");
      break;
    default:
      printf("unknown tmxarc, %d\n",tmxarc);
  } /* endswitch */

  /*******************************************************************/
  /*                                                                 */
  /* End of main function                                            */
  /*                                                                 */
  /*******************************************************************/
  exitTC(0);  /* terminates main(), subsequent return not executed   */
  return 0;   /*   but consistent with definition of main()          */
}


/*********************************************************************/
/* the application callback function used in initialization          */
/*********************************************************************/
unsigned int myAppl_ApplCallBack(void * arg)
{
  tmxa_status_t tmxaStatus;
  /*******************************************************************/
  /* initialize the TM-XA Service                                    */
  /*******************************************************************/
  tmxaStatus = tmxa_Init();
  if (tmxaStatus != TMXA_SUCCESS)
  {
    fprintf(stderr, "Error return from tmxa_init: %d\n", tmxaStatus);
    return 0;
  }
  return 1;
}

/*********************************************************************/
/*  Dummy recovery service functions that just print out data        */
/* saying that the functions have been entered                       */
/*********************************************************************/
void RecPrepare(tran_serviceId_t serviceid,
                tran_tid_t tid,
                tran_logRecord_t prepareRecord,
                tran_recOptimization_t *optimise)
{
  printf("RecPrepare(sid=%d,tid=%d,optimise=0x%x)\n", serviceid, tid, optimise);
  tran_RecAcknowledge(serviceid,tid);
}

void RecCommit(tran_serviceId_t serviceid,
               tran_tid_t tid,
               tran_recOptimization_t *optimise)
{
  printf("RecCommit(sid=%d,tid=%d,optim=0x%x)\n", serviceid, tid, optimise);
}

void RecWrite(tran_serviceId_t serviceid,
              tran_tid_t tid,
              tran_logRecord_t record,
              tran_recOptimization_t *optimise)
{
  printf("RecWrite(sid=%d,tid=%d,optim=0x%x)\n", serviceid, tid, optimise);
}

void RecFinished(tran_serviceId_t serviceid,
                 tran_tid_t tid,
                 tran_recOptimization_t *optimise)
{
  printf("RecFinished(sid=%d,tid=%d,optim=0x%x)\n", serviceid, tid, optimise);
  tran_RecAcknowledge(serviceid,tid);
}

void RecAbort(tran_serviceId_t serviceid,
              tran_tid_t tid,
              tran_recOptimization_t *optimise)
{
  printf("RecAbort(sid=%d,tid=%d,optim=0x%x)\n", serviceid, tid, optimise);
  tran_RecAcknowledge(serviceid,tid);
}

void RecBlock(tran_serviceId_t serviceid,
              tran_tid_t tid,
              tran_blockId_t blockid,
              unsigned long microsecondsUntilAlarm)
{
  printf("RecBlock(sid=%d,tid=%d,blockid=%d)\n", serviceid, tid, blockid);
}

void RecWakeup(tran_serviceId_t serviceId,
               tran_tid_t tid,
               tran_blockId_t blockId)
{
  printf("RecWakeup\n");
}

void RecActive(tran_serviceId_t serviceid,
               tran_tid_t tid,
               int activeNow)
{
  printf("RecActive(sid=%d,tid=%d,active=%d)\n", serviceid, tid, activeNow);
}

