 /********************************************************************/
 /*                                                                  */
 /*                  WebSphere MQ for Windows                        */
 /*                                                                  */
 /*  FILE NAME:      CMQCFP                                          */
 /*                                                                  */
 /*  DESCRIPTION:    Declarations for PCF and Events                 */
 /*                                                                  */
 /********************************************************************/
 /*  @START_COPYRIGHT@                                               */
 /*  Licensed Materials - Property of IBM                            */
 /*                                                                  */
 /*  5724-B41                                                        */
 /*                                                                  */
 /*  (C) Copyright IBM Corporation 1995, 2002.                       */
 /*                                                                  */
 /*  Status: Version 5 Release 3                                     */
 /*  @END_COPYRIGHT@                                                 */
 /********************************************************************/
 /*                                                                  */
 /*  FUNCTION:       This file declares the structures and named     */
 /*                  constants for PCF and event messages.           */
 /*                                                                  */
 /*  PROCESSOR:      PL/I                                            */
 /*                                                                  */
 /********************************************************************/
                                                                       
 /********************************************************************/
 /*  Values Related to MQCFH Structure                               */
 /********************************************************************/
                                                                       
 /* Structure Length */
 %dcl MQCFH_STRUC_LENGTH char;
 %MQCFH_STRUC_LENGTH = '36';
                                                                       
 /* Structure Version Number */
 %dcl MQCFH_VERSION_1       char;
 %dcl MQCFH_CURRENT_VERSION char;
 %MQCFH_VERSION_1       = '1';
 %MQCFH_CURRENT_VERSION = '1';
                                                                       
 /* Command Codes */
 %dcl MQCMD_CHANGE_Q_MGR            char;
 %dcl MQCMD_INQUIRE_Q_MGR           char;
 %dcl MQCMD_CHANGE_PROCESS          char;
 %dcl MQCMD_COPY_PROCESS            char;
 %dcl MQCMD_CREATE_PROCESS          char;
 %dcl MQCMD_DELETE_PROCESS          char;
 %dcl MQCMD_INQUIRE_PROCESS         char;
 %dcl MQCMD_CHANGE_Q                char;
 %dcl MQCMD_CLEAR_Q                 char;
 %dcl MQCMD_COPY_Q                  char;
 %dcl MQCMD_CREATE_Q                char;
 %dcl MQCMD_DELETE_Q                char;
 %dcl MQCMD_INQUIRE_Q               char;
 %dcl MQCMD_RESET_Q_STATS           char;
 %dcl MQCMD_INQUIRE_Q_NAMES         char;
 %dcl MQCMD_INQUIRE_PROCESS_NAMES   char;
 %dcl MQCMD_INQUIRE_CHANNEL_NAMES   char;
 %dcl MQCMD_CHANGE_CHANNEL          char;
 %dcl MQCMD_COPY_CHANNEL            char;
 %dcl MQCMD_CREATE_CHANNEL          char;
 %dcl MQCMD_DELETE_CHANNEL          char;
 %dcl MQCMD_INQUIRE_CHANNEL         char;
 %dcl MQCMD_PING_CHANNEL            char;
 %dcl MQCMD_RESET_CHANNEL           char;
 %dcl MQCMD_START_CHANNEL           char;
 %dcl MQCMD_STOP_CHANNEL            char;
 %dcl MQCMD_START_CHANNEL_INIT      char;
 %dcl MQCMD_START_CHANNEL_LISTENER  char;
 %dcl MQCMD_CHANGE_NAMELIST         char;
 %dcl MQCMD_COPY_NAMELIST           char;
 %dcl MQCMD_CREATE_NAMELIST         char;
 %dcl MQCMD_DELETE_NAMELIST         char;
 %dcl MQCMD_INQUIRE_NAMELIST        char;
 %dcl MQCMD_INQUIRE_NAMELIST_NAMES  char;
 %dcl MQCMD_ESCAPE                  char;
 %dcl MQCMD_RESOLVE_CHANNEL         char;
 %dcl MQCMD_PING_Q_MGR              char;
 %dcl MQCMD_INQUIRE_Q_STATUS        char;
 %dcl MQCMD_INQUIRE_CHANNEL_STATUS  char;
 %dcl MQCMD_CONFIG_EVENT            char;
 %dcl MQCMD_Q_MGR_EVENT             char;
 %dcl MQCMD_PERFM_EVENT             char;
 %dcl MQCMD_CHANNEL_EVENT           char;
 %dcl MQCMD_DELETE_PUBLICATION      char;
 %dcl MQCMD_DEREGISTER_PUBLISHER    char;
 %dcl MQCMD_DEREGISTER_SUBSCRIBER   char;
 %dcl MQCMD_PUBLISH                 char;
 %dcl MQCMD_REGISTER_PUBLISHER      char;
 %dcl MQCMD_REGISTER_SUBSCRIBER     char;
 %dcl MQCMD_REQUEST_UPDATE          char;
 %dcl MQCMD_BROKER_INTERNAL         char;
 %dcl MQCMD_INQUIRE_CLUSTER_Q_MGR   char;
 %dcl MQCMD_RESUME_Q_MGR_CLUSTER    char;
 %dcl MQCMD_SUSPEND_Q_MGR_CLUSTER   char;
 %dcl MQCMD_REFRESH_CLUSTER         char;
 %dcl MQCMD_RESET_CLUSTER           char;
 %dcl MQCMD_REFRESH_SECURITY        char;
 %dcl MQCMD_CHANGE_AUTH_INFO        char;
 %dcl MQCMD_COPY_AUTH_INFO          char;
 %dcl MQCMD_CREATE_AUTH_INFO        char;
 %dcl MQCMD_DELETE_AUTH_INFO        char;
 %dcl MQCMD_INQUIRE_AUTH_INFO       char;
 %dcl MQCMD_INQUIRE_AUTH_INFO_NAMES char;
 %dcl MQCMD_NONE                    char;
 %MQCMD_CHANGE_Q_MGR            = '1';
 %MQCMD_INQUIRE_Q_MGR           = '2';
 %MQCMD_CHANGE_PROCESS          = '3';
 %MQCMD_COPY_PROCESS            = '4';
 %MQCMD_CREATE_PROCESS          = '5';
 %MQCMD_DELETE_PROCESS          = '6';
 %MQCMD_INQUIRE_PROCESS         = '7';
 %MQCMD_CHANGE_Q                = '8';
 %MQCMD_CLEAR_Q                 = '9';
 %MQCMD_COPY_Q                  = '10';
 %MQCMD_CREATE_Q                = '11';
 %MQCMD_DELETE_Q                = '12';
 %MQCMD_INQUIRE_Q               = '13';
 %MQCMD_RESET_Q_STATS           = '17';
 %MQCMD_INQUIRE_Q_NAMES         = '18';
 %MQCMD_INQUIRE_PROCESS_NAMES   = '19';
 %MQCMD_INQUIRE_CHANNEL_NAMES   = '20';
 %MQCMD_CHANGE_CHANNEL          = '21';
 %MQCMD_COPY_CHANNEL            = '22';
 %MQCMD_CREATE_CHANNEL          = '23';
 %MQCMD_DELETE_CHANNEL          = '24';
 %MQCMD_INQUIRE_CHANNEL         = '25';
 %MQCMD_PING_CHANNEL            = '26';
 %MQCMD_RESET_CHANNEL           = '27';
 %MQCMD_START_CHANNEL           = '28';
 %MQCMD_STOP_CHANNEL            = '29';
 %MQCMD_START_CHANNEL_INIT      = '30';
 %MQCMD_START_CHANNEL_LISTENER  = '31';
 %MQCMD_CHANGE_NAMELIST         = '32';
 %MQCMD_COPY_NAMELIST           = '33';
 %MQCMD_CREATE_NAMELIST         = '34';
 %MQCMD_DELETE_NAMELIST         = '35';
 %MQCMD_INQUIRE_NAMELIST        = '36';
 %MQCMD_INQUIRE_NAMELIST_NAMES  = '37';
 %MQCMD_ESCAPE                  = '38';
 %MQCMD_RESOLVE_CHANNEL         = '39';
 %MQCMD_PING_Q_MGR              = '40';
 %MQCMD_INQUIRE_Q_STATUS        = '41';
 %MQCMD_INQUIRE_CHANNEL_STATUS  = '42';
 %MQCMD_CONFIG_EVENT            = '43';
 %MQCMD_Q_MGR_EVENT             = '44';
 %MQCMD_PERFM_EVENT             = '45';
 %MQCMD_CHANNEL_EVENT           = '46';
 %MQCMD_DELETE_PUBLICATION      = '60';
 %MQCMD_DEREGISTER_PUBLISHER    = '61';
 %MQCMD_DEREGISTER_SUBSCRIBER   = '62';
 %MQCMD_PUBLISH                 = '63';
 %MQCMD_REGISTER_PUBLISHER      = '64';
 %MQCMD_REGISTER_SUBSCRIBER     = '65';
 %MQCMD_REQUEST_UPDATE          = '66';
 %MQCMD_BROKER_INTERNAL         = '67';
 %MQCMD_INQUIRE_CLUSTER_Q_MGR   = '70';
 %MQCMD_RESUME_Q_MGR_CLUSTER    = '71';
 %MQCMD_SUSPEND_Q_MGR_CLUSTER   = '72';
 %MQCMD_REFRESH_CLUSTER         = '73';
 %MQCMD_RESET_CLUSTER           = '74';
 %MQCMD_REFRESH_SECURITY        = '78';
 %MQCMD_CHANGE_AUTH_INFO        = '79';
 %MQCMD_COPY_AUTH_INFO          = '80';
 %MQCMD_CREATE_AUTH_INFO        = '81';
 %MQCMD_DELETE_AUTH_INFO        = '82';
 %MQCMD_INQUIRE_AUTH_INFO       = '83';
 %MQCMD_INQUIRE_AUTH_INFO_NAMES = '84';
 %MQCMD_NONE                    = '0';
                                                                       
 /* Control Options */
 %dcl MQCFC_LAST     char;
 %dcl MQCFC_NOT_LAST char;
 %MQCFC_LAST     = '1';
 %MQCFC_NOT_LAST = '0';
                                                                       
 /* Reason Codes */
 %dcl MQRCCF_CFH_TYPE_ERROR          char;
 %dcl MQRCCF_CFH_LENGTH_ERROR        char;
 %dcl MQRCCF_CFH_VERSION_ERROR       char;
 %dcl MQRCCF_CFH_MSG_SEQ_NUMBER_ERR  char;
 %dcl MQRCCF_CFH_CONTROL_ERROR       char;
 %dcl MQRCCF_CFH_PARM_COUNT_ERROR    char;
 %dcl MQRCCF_CFH_COMMAND_ERROR       char;
 %dcl MQRCCF_COMMAND_FAILED          char;
 %dcl MQRCCF_CFIN_LENGTH_ERROR       char;
 %dcl MQRCCF_CFST_LENGTH_ERROR       char;
 %dcl MQRCCF_CFST_STRING_LENGTH_ERR  char;
 %dcl MQRCCF_FORCE_VALUE_ERROR       char;
 %dcl MQRCCF_STRUCTURE_TYPE_ERROR    char;
 %dcl MQRCCF_CFIN_PARM_ID_ERROR      char;
 %dcl MQRCCF_CFST_PARM_ID_ERROR      char;
 %dcl MQRCCF_MSG_LENGTH_ERROR        char;
 %dcl MQRCCF_CFIN_DUPLICATE_PARM     char;
 %dcl MQRCCF_CFST_DUPLICATE_PARM     char;
 %dcl MQRCCF_PARM_COUNT_TOO_SMALL    char;
 %dcl MQRCCF_PARM_COUNT_TOO_BIG      char;
 %dcl MQRCCF_Q_ALREADY_IN_CELL       char;
 %dcl MQRCCF_Q_TYPE_ERROR            char;
 %dcl MQRCCF_MD_FORMAT_ERROR         char;
 %dcl MQRCCF_CFSL_LENGTH_ERROR       char;
 %dcl MQRCCF_REPLACE_VALUE_ERROR     char;
 %dcl MQRCCF_CFIL_DUPLICATE_VALUE    char;
 %dcl MQRCCF_CFIL_COUNT_ERROR        char;
 %dcl MQRCCF_CFIL_LENGTH_ERROR       char;
 %dcl MQRCCF_QUIESCE_VALUE_ERROR     char;
 %dcl MQRCCF_MODE_VALUE_ERROR        char;
 %dcl MQRCCF_MSG_SEQ_NUMBER_ERROR    char;
 %dcl MQRCCF_PING_DATA_COUNT_ERROR   char;
 %dcl MQRCCF_PING_DATA_COMPARE_ERROR char;
 %dcl MQRCCF_CFSL_PARM_ID_ERROR      char;
 %dcl MQRCCF_CHANNEL_TYPE_ERROR      char;
 %dcl MQRCCF_PARM_SEQUENCE_ERROR     char;
 %dcl MQRCCF_XMIT_PROTOCOL_TYPE_ERR  char;
 %dcl MQRCCF_BATCH_SIZE_ERROR        char;
 %dcl MQRCCF_DISC_INT_ERROR          char;
 %dcl MQRCCF_SHORT_RETRY_ERROR       char;
 %dcl MQRCCF_SHORT_TIMER_ERROR       char;
 %dcl MQRCCF_LONG_RETRY_ERROR        char;
 %dcl MQRCCF_LONG_TIMER_ERROR        char;
 %dcl MQRCCF_SEQ_NUMBER_WRAP_ERROR   char;
 %dcl MQRCCF_MAX_MSG_LENGTH_ERROR    char;
 %dcl MQRCCF_PUT_AUTH_ERROR          char;
 %dcl MQRCCF_PURGE_VALUE_ERROR       char;
 %dcl MQRCCF_CFIL_PARM_ID_ERROR      char;
 %dcl MQRCCF_MSG_TRUNCATED           char;
 %dcl MQRCCF_CCSID_ERROR             char;
 %dcl MQRCCF_ENCODING_ERROR          char;
 %dcl MQRCCF_QUEUES_VALUE_ERROR      char;
 %dcl MQRCCF_DATA_CONV_VALUE_ERROR   char;
 %dcl MQRCCF_INDOUBT_VALUE_ERROR     char;
 %dcl MQRCCF_ESCAPE_TYPE_ERROR       char;
 %dcl MQRCCF_REPOS_VALUE_ERROR       char;
 %dcl MQRCCF_CHANNEL_TABLE_ERROR     char;
 %dcl MQRCCF_MCA_TYPE_ERROR          char;
 %dcl MQRCCF_CHL_INST_TYPE_ERROR     char;
 %dcl MQRCCF_CHL_STATUS_NOT_FOUND    char;
 %dcl MQRCCF_CFSL_DUPLICATE_PARM     char;
 %dcl MQRCCF_CFSL_TOTAL_LENGTH_ERROR char;
 %dcl MQRCCF_CFSL_COUNT_ERROR        char;
 %dcl MQRCCF_CFSL_STRING_LENGTH_ERR  char;
 %dcl MQRCCF_BROKER_DELETED          char;
 %dcl MQRCCF_STREAM_ERROR            char;
 %dcl MQRCCF_TOPIC_ERROR             char;
 %dcl MQRCCF_NOT_REGISTERED          char;
 %dcl MQRCCF_Q_MGR_NAME_ERROR        char;
 %dcl MQRCCF_INCORRECT_STREAM        char;
 %dcl MQRCCF_Q_NAME_ERROR            char;
 %dcl MQRCCF_NO_RETAINED_MSG         char;
 %dcl MQRCCF_DUPLICATE_IDENTITY      char;
 %dcl MQRCCF_INCORRECT_Q             char;
 %dcl MQRCCF_CORREL_ID_ERROR         char;
 %dcl MQRCCF_NOT_AUTHORIZED          char;
 %dcl MQRCCF_UNKNOWN_STREAM          char;
 %dcl MQRCCF_REG_OPTIONS_ERROR       char;
 %dcl MQRCCF_PUB_OPTIONS_ERROR       char;
 %dcl MQRCCF_UNKNOWN_BROKER          char;
 %dcl MQRCCF_Q_MGR_CCSID_ERROR       char;
 %dcl MQRCCF_DEL_OPTIONS_ERROR       char;
 %dcl MQRCCF_CLUSTER_NAME_CONFLICT   char;
 %dcl MQRCCF_REPOS_NAME_CONFLICT     char;
 %dcl MQRCCF_CLUSTER_Q_USAGE_ERROR   char;
 %dcl MQRCCF_ACTION_VALUE_ERROR      char;
 %dcl MQRCCF_COMMS_LIBRARY_ERROR     char;
 %dcl MQRCCF_NETBIOS_NAME_ERROR      char;
 %dcl MQRCCF_BROKER_COMMAND_FAILED   char;
 %dcl MQRCCF_CFST_CONFLICTING_PARM   char;
 %dcl MQRCCF_FILTER_ERROR            char;
 %dcl MQRCCF_WRONG_USER              char;
 %dcl MQRCCF_DUPLICATE_SUBSCRIPTION  char;
 %dcl MQRCCF_SUB_NAME_ERROR          char;
 %dcl MQRCCF_SUB_IDENTITY_ERROR      char;
 %dcl MQRCCF_SUBSCRIPTION_IN_USE     char;
 %dcl MQRCCF_SUBSCRIPTION_LOCKED     char;
 %dcl MQRCCF_ALREADY_JOINED          char;
 %dcl MQRCCF_OBJECT_ALREADY_EXISTS   char;
 %dcl MQRCCF_OBJECT_WRONG_TYPE       char;
 %dcl MQRCCF_LIKE_OBJECT_WRONG_TYPE  char;
 %dcl MQRCCF_OBJECT_OPEN             char;
 %dcl MQRCCF_ATTR_VALUE_ERROR        char;
 %dcl MQRCCF_UNKNOWN_Q_MGR           char;
 %dcl MQRCCF_Q_WRONG_TYPE            char;
 %dcl MQRCCF_OBJECT_NAME_ERROR       char;
 %dcl MQRCCF_ALLOCATE_FAILED         char;
 %dcl MQRCCF_HOST_NOT_AVAILABLE      char;
 %dcl MQRCCF_CONFIGURATION_ERROR     char;
 %dcl MQRCCF_CONNECTION_REFUSED      char;
 %dcl MQRCCF_ENTRY_ERROR             char;
 %dcl MQRCCF_SEND_FAILED             char;
 %dcl MQRCCF_RECEIVED_DATA_ERROR     char;
 %dcl MQRCCF_RECEIVE_FAILED          char;
 %dcl MQRCCF_CONNECTION_CLOSED       char;
 %dcl MQRCCF_NO_STORAGE              char;
 %dcl MQRCCF_NO_COMMS_MANAGER        char;
 %dcl MQRCCF_LISTENER_NOT_STARTED    char;
 %dcl MQRCCF_BIND_FAILED             char;
 %dcl MQRCCF_CHANNEL_INDOUBT         char;
 %dcl MQRCCF_MQCONN_FAILED           char;
 %dcl MQRCCF_MQOPEN_FAILED           char;
 %dcl MQRCCF_MQGET_FAILED            char;
 %dcl MQRCCF_MQPUT_FAILED            char;
 %dcl MQRCCF_PING_ERROR              char;
 %dcl MQRCCF_CHANNEL_IN_USE          char;
 %dcl MQRCCF_CHANNEL_NOT_FOUND       char;
 %dcl MQRCCF_UNKNOWN_REMOTE_CHANNEL  char;
 %dcl MQRCCF_REMOTE_QM_UNAVAILABLE   char;
 %dcl MQRCCF_REMOTE_QM_TERMINATING   char;
 %dcl MQRCCF_MQINQ_FAILED            char;
 %dcl MQRCCF_NOT_XMIT_Q              char;
 %dcl MQRCCF_CHANNEL_DISABLED        char;
 %dcl MQRCCF_USER_EXIT_NOT_AVAILABLE char;
 %dcl MQRCCF_COMMIT_FAILED           char;
 %dcl MQRCCF_WRONG_CHANNEL_TYPE      char;
 %dcl MQRCCF_CHANNEL_ALREADY_EXISTS  char;
 %dcl MQRCCF_DATA_TOO_LARGE          char;
 %dcl MQRCCF_CHANNEL_NAME_ERROR      char;
 %dcl MQRCCF_XMIT_Q_NAME_ERROR       char;
 %dcl MQRCCF_MCA_NAME_ERROR          char;
 %dcl MQRCCF_SEND_EXIT_NAME_ERROR    char;
 %dcl MQRCCF_SEC_EXIT_NAME_ERROR     char;
 %dcl MQRCCF_MSG_EXIT_NAME_ERROR     char;
 %dcl MQRCCF_RCV_EXIT_NAME_ERROR     char;
 %dcl MQRCCF_XMIT_Q_NAME_WRONG_TYPE  char;
 %dcl MQRCCF_MCA_NAME_WRONG_TYPE     char;
 %dcl MQRCCF_DISC_INT_WRONG_TYPE     char;
 %dcl MQRCCF_SHORT_RETRY_WRONG_TYPE  char;
 %dcl MQRCCF_SHORT_TIMER_WRONG_TYPE  char;
 %dcl MQRCCF_LONG_RETRY_WRONG_TYPE   char;
 %dcl MQRCCF_LONG_TIMER_WRONG_TYPE   char;
 %dcl MQRCCF_PUT_AUTH_WRONG_TYPE     char;
 %dcl MQRCCF_KEEP_ALIVE_INT_ERROR    char;
 %dcl MQRCCF_MISSING_CONN_NAME       char;
 %dcl MQRCCF_CONN_NAME_ERROR         char;
 %dcl MQRCCF_MQSET_FAILED            char;
 %dcl MQRCCF_CHANNEL_NOT_ACTIVE      char;
 %dcl MQRCCF_TERMINATED_BY_SEC_EXIT  char;
 %dcl MQRCCF_DYNAMIC_Q_SCOPE_ERROR   char;
 %dcl MQRCCF_CELL_DIR_NOT_AVAILABLE  char;
 %dcl MQRCCF_MR_COUNT_ERROR          char;
 %dcl MQRCCF_MR_COUNT_WRONG_TYPE     char;
 %dcl MQRCCF_MR_EXIT_NAME_ERROR      char;
 %dcl MQRCCF_MR_EXIT_NAME_WRONG_TYPE char;
 %dcl MQRCCF_MR_INTERVAL_ERROR       char;
 %dcl MQRCCF_MR_INTERVAL_WRONG_TYPE  char;
 %dcl MQRCCF_NPM_SPEED_ERROR         char;
 %dcl MQRCCF_NPM_SPEED_WRONG_TYPE    char;
 %dcl MQRCCF_HB_INTERVAL_ERROR       char;
 %dcl MQRCCF_HB_INTERVAL_WRONG_TYPE  char;
 %dcl MQRCCF_CHAD_ERROR              char;
 %dcl MQRCCF_CHAD_WRONG_TYPE         char;
 %dcl MQRCCF_CHAD_EVENT_ERROR        char;
 %dcl MQRCCF_CHAD_EVENT_WRONG_TYPE   char;
 %dcl MQRCCF_CHAD_EXIT_ERROR         char;
 %dcl MQRCCF_CHAD_EXIT_WRONG_TYPE    char;
 %dcl MQRCCF_SUPPRESSED_BY_EXIT      char;
 %dcl MQRCCF_BATCH_INT_ERROR         char;
 %dcl MQRCCF_BATCH_INT_WRONG_TYPE    char;
 %dcl MQRCCF_NET_PRIORITY_ERROR      char;
 %dcl MQRCCF_NET_PRIORITY_WRONG_TYPE char;
 %dcl MQRCCF_CHANNEL_CLOSED          char;
 %dcl MQRCCF_Q_STATUS_NOT_FOUND      char;
 %dcl MQRCCF_SSL_CIPHER_SPEC_ERROR   char;
 %dcl MQRCCF_SSL_PEER_NAME_ERROR     char;
 %dcl MQRCCF_SSL_CLIENT_AUTH_ERROR   char;
 %MQRCCF_CFH_TYPE_ERROR          = '3001';
 %MQRCCF_CFH_LENGTH_ERROR        = '3002';
 %MQRCCF_CFH_VERSION_ERROR       = '3003';
 %MQRCCF_CFH_MSG_SEQ_NUMBER_ERR  = '3004';
 %MQRCCF_CFH_CONTROL_ERROR       = '3005';
 %MQRCCF_CFH_PARM_COUNT_ERROR    = '3006';
 %MQRCCF_CFH_COMMAND_ERROR       = '3007';
 %MQRCCF_COMMAND_FAILED          = '3008';
 %MQRCCF_CFIN_LENGTH_ERROR       = '3009';
 %MQRCCF_CFST_LENGTH_ERROR       = '3010';
 %MQRCCF_CFST_STRING_LENGTH_ERR  = '3011';
 %MQRCCF_FORCE_VALUE_ERROR       = '3012';
 %MQRCCF_STRUCTURE_TYPE_ERROR    = '3013';
 %MQRCCF_CFIN_PARM_ID_ERROR      = '3014';
 %MQRCCF_CFST_PARM_ID_ERROR      = '3015';
 %MQRCCF_MSG_LENGTH_ERROR        = '3016';
 %MQRCCF_CFIN_DUPLICATE_PARM     = '3017';
 %MQRCCF_CFST_DUPLICATE_PARM     = '3018';
 %MQRCCF_PARM_COUNT_TOO_SMALL    = '3019';
 %MQRCCF_PARM_COUNT_TOO_BIG      = '3020';
 %MQRCCF_Q_ALREADY_IN_CELL       = '3021';
 %MQRCCF_Q_TYPE_ERROR            = '3022';
 %MQRCCF_MD_FORMAT_ERROR         = '3023';
 %MQRCCF_CFSL_LENGTH_ERROR       = '3024';
 %MQRCCF_REPLACE_VALUE_ERROR     = '3025';
 %MQRCCF_CFIL_DUPLICATE_VALUE    = '3026';
 %MQRCCF_CFIL_COUNT_ERROR        = '3027';
 %MQRCCF_CFIL_LENGTH_ERROR       = '3028';
 %MQRCCF_QUIESCE_VALUE_ERROR     = '3029';
 %MQRCCF_MODE_VALUE_ERROR        = '3029';
 %MQRCCF_MSG_SEQ_NUMBER_ERROR    = '3030';
 %MQRCCF_PING_DATA_COUNT_ERROR   = '3031';
 %MQRCCF_PING_DATA_COMPARE_ERROR = '3032';
 %MQRCCF_CFSL_PARM_ID_ERROR      = '3033';
 %MQRCCF_CHANNEL_TYPE_ERROR      = '3034';
 %MQRCCF_PARM_SEQUENCE_ERROR     = '3035';
 %MQRCCF_XMIT_PROTOCOL_TYPE_ERR  = '3036';
 %MQRCCF_BATCH_SIZE_ERROR        = '3037';
 %MQRCCF_DISC_INT_ERROR          = '3038';
 %MQRCCF_SHORT_RETRY_ERROR       = '3039';
 %MQRCCF_SHORT_TIMER_ERROR       = '3040';
 %MQRCCF_LONG_RETRY_ERROR        = '3041';
 %MQRCCF_LONG_TIMER_ERROR        = '3042';
 %MQRCCF_SEQ_NUMBER_WRAP_ERROR   = '3043';
 %MQRCCF_MAX_MSG_LENGTH_ERROR    = '3044';
 %MQRCCF_PUT_AUTH_ERROR          = '3045';
 %MQRCCF_PURGE_VALUE_ERROR       = '3046';
 %MQRCCF_CFIL_PARM_ID_ERROR      = '3047';
 %MQRCCF_MSG_TRUNCATED           = '3048';
 %MQRCCF_CCSID_ERROR             = '3049';
 %MQRCCF_ENCODING_ERROR          = '3050';
 %MQRCCF_QUEUES_VALUE_ERROR      = '3051';
 %MQRCCF_DATA_CONV_VALUE_ERROR   = '3052';
 %MQRCCF_INDOUBT_VALUE_ERROR     = '3053';
 %MQRCCF_ESCAPE_TYPE_ERROR       = '3054';
 %MQRCCF_REPOS_VALUE_ERROR       = '3055';
 %MQRCCF_CHANNEL_TABLE_ERROR     = '3062';
 %MQRCCF_MCA_TYPE_ERROR          = '3063';
 %MQRCCF_CHL_INST_TYPE_ERROR     = '3064';
 %MQRCCF_CHL_STATUS_NOT_FOUND    = '3065';
 %MQRCCF_CFSL_DUPLICATE_PARM     = '3066';
 %MQRCCF_CFSL_TOTAL_LENGTH_ERROR = '3067';
 %MQRCCF_CFSL_COUNT_ERROR        = '3068';
 %MQRCCF_CFSL_STRING_LENGTH_ERR  = '3069';
 %MQRCCF_BROKER_DELETED          = '3070';
 %MQRCCF_STREAM_ERROR            = '3071';
 %MQRCCF_TOPIC_ERROR             = '3072';
 %MQRCCF_NOT_REGISTERED          = '3073';
 %MQRCCF_Q_MGR_NAME_ERROR        = '3074';
 %MQRCCF_INCORRECT_STREAM        = '3075';
 %MQRCCF_Q_NAME_ERROR            = '3076';
 %MQRCCF_NO_RETAINED_MSG         = '3077';
 %MQRCCF_DUPLICATE_IDENTITY      = '3078';
 %MQRCCF_INCORRECT_Q             = '3079';
 %MQRCCF_CORREL_ID_ERROR         = '3080';
 %MQRCCF_NOT_AUTHORIZED          = '3081';
 %MQRCCF_UNKNOWN_STREAM          = '3082';
 %MQRCCF_REG_OPTIONS_ERROR       = '3083';
 %MQRCCF_PUB_OPTIONS_ERROR       = '3084';
 %MQRCCF_UNKNOWN_BROKER          = '3085';
 %MQRCCF_Q_MGR_CCSID_ERROR       = '3086';
 %MQRCCF_DEL_OPTIONS_ERROR       = '3087';
 %MQRCCF_CLUSTER_NAME_CONFLICT   = '3088';
 %MQRCCF_REPOS_NAME_CONFLICT     = '3089';
 %MQRCCF_CLUSTER_Q_USAGE_ERROR   = '3090';
 %MQRCCF_ACTION_VALUE_ERROR      = '3091';
 %MQRCCF_COMMS_LIBRARY_ERROR     = '3092';
 %MQRCCF_NETBIOS_NAME_ERROR      = '3093';
 %MQRCCF_BROKER_COMMAND_FAILED   = '3094';
 %MQRCCF_CFST_CONFLICTING_PARM   = '3095';
 %MQRCCF_FILTER_ERROR            = '3150';
 %MQRCCF_WRONG_USER              = '3151';
 %MQRCCF_DUPLICATE_SUBSCRIPTION  = '3152';
 %MQRCCF_SUB_NAME_ERROR          = '3153';
 %MQRCCF_SUB_IDENTITY_ERROR      = '3154';
 %MQRCCF_SUBSCRIPTION_IN_USE     = '3155';
 %MQRCCF_SUBSCRIPTION_LOCKED     = '3156';
 %MQRCCF_ALREADY_JOINED          = '3157';
 %MQRCCF_OBJECT_ALREADY_EXISTS   = '4001';
 %MQRCCF_OBJECT_WRONG_TYPE       = '4002';
 %MQRCCF_LIKE_OBJECT_WRONG_TYPE  = '4003';
 %MQRCCF_OBJECT_OPEN             = '4004';
 %MQRCCF_ATTR_VALUE_ERROR        = '4005';
 %MQRCCF_UNKNOWN_Q_MGR           = '4006';
 %MQRCCF_Q_WRONG_TYPE            = '4007';
 %MQRCCF_OBJECT_NAME_ERROR       = '4008';
 %MQRCCF_ALLOCATE_FAILED         = '4009';
 %MQRCCF_HOST_NOT_AVAILABLE      = '4010';
 %MQRCCF_CONFIGURATION_ERROR     = '4011';
 %MQRCCF_CONNECTION_REFUSED      = '4012';
 %MQRCCF_ENTRY_ERROR             = '4013';
 %MQRCCF_SEND_FAILED             = '4014';
 %MQRCCF_RECEIVED_DATA_ERROR     = '4015';
 %MQRCCF_RECEIVE_FAILED          = '4016';
 %MQRCCF_CONNECTION_CLOSED       = '4017';
 %MQRCCF_NO_STORAGE              = '4018';
 %MQRCCF_NO_COMMS_MANAGER        = '4019';
 %MQRCCF_LISTENER_NOT_STARTED    = '4020';
 %MQRCCF_BIND_FAILED             = '4024';
 %MQRCCF_CHANNEL_INDOUBT         = '4025';
 %MQRCCF_MQCONN_FAILED           = '4026';
 %MQRCCF_MQOPEN_FAILED           = '4027';
 %MQRCCF_MQGET_FAILED            = '4028';
 %MQRCCF_MQPUT_FAILED            = '4029';
 %MQRCCF_PING_ERROR              = '4030';
 %MQRCCF_CHANNEL_IN_USE          = '4031';
 %MQRCCF_CHANNEL_NOT_FOUND       = '4032';
 %MQRCCF_UNKNOWN_REMOTE_CHANNEL  = '4033';
 %MQRCCF_REMOTE_QM_UNAVAILABLE   = '4034';
 %MQRCCF_REMOTE_QM_TERMINATING   = '4035';
 %MQRCCF_MQINQ_FAILED            = '4036';
 %MQRCCF_NOT_XMIT_Q              = '4037';
 %MQRCCF_CHANNEL_DISABLED        = '4038';
 %MQRCCF_USER_EXIT_NOT_AVAILABLE = '4039';
 %MQRCCF_COMMIT_FAILED           = '4040';
 %MQRCCF_WRONG_CHANNEL_TYPE      = '4041';
 %MQRCCF_CHANNEL_ALREADY_EXISTS  = '4042';
 %MQRCCF_DATA_TOO_LARGE          = '4043';
 %MQRCCF_CHANNEL_NAME_ERROR      = '4044';
 %MQRCCF_XMIT_Q_NAME_ERROR       = '4045';
 %MQRCCF_MCA_NAME_ERROR          = '4047';
 %MQRCCF_SEND_EXIT_NAME_ERROR    = '4048';
 %MQRCCF_SEC_EXIT_NAME_ERROR     = '4049';
 %MQRCCF_MSG_EXIT_NAME_ERROR     = '4050';
 %MQRCCF_RCV_EXIT_NAME_ERROR     = '4051';
 %MQRCCF_XMIT_Q_NAME_WRONG_TYPE  = '4052';
 %MQRCCF_MCA_NAME_WRONG_TYPE     = '4053';
 %MQRCCF_DISC_INT_WRONG_TYPE     = '4054';
 %MQRCCF_SHORT_RETRY_WRONG_TYPE  = '4055';
 %MQRCCF_SHORT_TIMER_WRONG_TYPE  = '4056';
 %MQRCCF_LONG_RETRY_WRONG_TYPE   = '4057';
 %MQRCCF_LONG_TIMER_WRONG_TYPE   = '4058';
 %MQRCCF_PUT_AUTH_WRONG_TYPE     = '4059';
 %MQRCCF_KEEP_ALIVE_INT_ERROR    = '4060';
 %MQRCCF_MISSING_CONN_NAME       = '4061';
 %MQRCCF_CONN_NAME_ERROR         = '4062';
 %MQRCCF_MQSET_FAILED            = '4063';
 %MQRCCF_CHANNEL_NOT_ACTIVE      = '4064';
 %MQRCCF_TERMINATED_BY_SEC_EXIT  = '4065';
 %MQRCCF_DYNAMIC_Q_SCOPE_ERROR   = '4067';
 %MQRCCF_CELL_DIR_NOT_AVAILABLE  = '4068';
 %MQRCCF_MR_COUNT_ERROR          = '4069';
 %MQRCCF_MR_COUNT_WRONG_TYPE     = '4070';
 %MQRCCF_MR_EXIT_NAME_ERROR      = '4071';
 %MQRCCF_MR_EXIT_NAME_WRONG_TYPE = '4072';
 %MQRCCF_MR_INTERVAL_ERROR       = '4073';
 %MQRCCF_MR_INTERVAL_WRONG_TYPE  = '4074';
 %MQRCCF_NPM_SPEED_ERROR         = '4075';
 %MQRCCF_NPM_SPEED_WRONG_TYPE    = '4076';
 %MQRCCF_HB_INTERVAL_ERROR       = '4077';
 %MQRCCF_HB_INTERVAL_WRONG_TYPE  = '4078';
 %MQRCCF_CHAD_ERROR              = '4079';
 %MQRCCF_CHAD_WRONG_TYPE         = '4080';
 %MQRCCF_CHAD_EVENT_ERROR        = '4081';
 %MQRCCF_CHAD_EVENT_WRONG_TYPE   = '4082';
 %MQRCCF_CHAD_EXIT_ERROR         = '4083';
 %MQRCCF_CHAD_EXIT_WRONG_TYPE    = '4084';
 %MQRCCF_SUPPRESSED_BY_EXIT      = '4085';
 %MQRCCF_BATCH_INT_ERROR         = '4086';
 %MQRCCF_BATCH_INT_WRONG_TYPE    = '4087';
 %MQRCCF_NET_PRIORITY_ERROR      = '4088';
 %MQRCCF_NET_PRIORITY_WRONG_TYPE = '4089';
 %MQRCCF_CHANNEL_CLOSED          = '4090';
 %MQRCCF_Q_STATUS_NOT_FOUND      = '4091';
 %MQRCCF_SSL_CIPHER_SPEC_ERROR   = '4092';
 %MQRCCF_SSL_PEER_NAME_ERROR     = '4093';
 %MQRCCF_SSL_CLIENT_AUTH_ERROR   = '4094';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQCFBS Structure                              */
 /********************************************************************/
                                                                       
 /* Structure Length (Fixed Part) */
 %dcl MQCFBS_STRUC_LENGTH_FIXED char;
 %MQCFBS_STRUC_LENGTH_FIXED = '16';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQCFIL Structure                              */
 /********************************************************************/
                                                                       
 /* Structure Length (Fixed Part) */
 %dcl MQCFIL_STRUC_LENGTH_FIXED char;
 %MQCFIL_STRUC_LENGTH_FIXED = '16';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQCFIN Structure                              */
 /********************************************************************/
                                                                       
 /* Structure Length */
 %dcl MQCFIN_STRUC_LENGTH char;
 %MQCFIN_STRUC_LENGTH = '16';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQCFSL Structure                              */
 /********************************************************************/
                                                                       
 /* Structure Length (Fixed Part) */
 %dcl MQCFSL_STRUC_LENGTH_FIXED char;
 %MQCFSL_STRUC_LENGTH_FIXED = '24';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to MQCFST Structure                              */
 /********************************************************************/
                                                                       
 /* Structure Length (Fixed Part) */
 %dcl MQCFST_STRUC_LENGTH_FIXED char;
 %MQCFST_STRUC_LENGTH_FIXED = '20';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to All Structures                                */
 /********************************************************************/
                                                                       
 /* Structure Type */
 %dcl MQCFT_COMMAND      char;
 %dcl MQCFT_RESPONSE     char;
 %dcl MQCFT_INTEGER      char;
 %dcl MQCFT_STRING       char;
 %dcl MQCFT_INTEGER_LIST char;
 %dcl MQCFT_STRING_LIST  char;
 %dcl MQCFT_EVENT        char;
 %dcl MQCFT_USER         char;
 %dcl MQCFT_BYTE_STRING  char;
 %MQCFT_COMMAND      = '1';
 %MQCFT_RESPONSE     = '2';
 %MQCFT_INTEGER      = '3';
 %MQCFT_STRING       = '4';
 %MQCFT_INTEGER_LIST = '5';
 %MQCFT_STRING_LIST  = '6';
 %MQCFT_EVENT        = '7';
 %MQCFT_USER         = '8';
 %MQCFT_BYTE_STRING  = '9';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to Byte Parameter Structures                     */
 /********************************************************************/
                                                                       
 /* Byte Parameter Types */
 %dcl MQBACF_FIRST                  char;
 %dcl MQBACF_EVENT_ACCOUNTING_TOKEN char;
 %dcl MQBACF_EVENT_SECURITY_ID      char;
 %dcl MQBACF_LAST_USED              char;
 %MQBACF_FIRST                  = '7001';
 %MQBACF_EVENT_ACCOUNTING_TOKEN = '7001';
 %MQBACF_EVENT_SECURITY_ID      = '7002';
 %MQBACF_LAST_USED              = '7002';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to Integer Parameter Structures                  */
 /********************************************************************/
                                                                       
 /* Integer Parameter Types */
 %dcl MQIACF_FIRST                 char;
 %dcl MQIACF_Q_MGR_ATTRS           char;
 %dcl MQIACF_Q_ATTRS               char;
 %dcl MQIACF_PROCESS_ATTRS         char;
 %dcl MQIACF_NAMELIST_ATTRS        char;
 %dcl MQIACF_FORCE                 char;
 %dcl MQIACF_REPLACE               char;
 %dcl MQIACF_PURGE                 char;
 %dcl MQIACF_QUIESCE               char;
 %dcl MQIACF_MODE                  char;
 %dcl MQIACF_ALL                   char;
 %dcl MQIACF_EVENT_APPL_TYPE       char;
 %dcl MQIACF_EVENT_ORIGIN          char;
 %dcl MQIACF_PARAMETER_ID          char;
 %dcl MQIACF_ERROR_ID              char;
 %dcl MQIACF_ERROR_IDENTIFIER      char;
 %dcl MQIACF_SELECTOR              char;
 %dcl MQIACF_CHANNEL_ATTRS         char;
 %dcl MQIACF_OBJECT_TYPE           char;
 %dcl MQIACF_ESCAPE_TYPE           char;
 %dcl MQIACF_ERROR_OFFSET          char;
 %dcl MQIACF_AUTH_INFO_ATTRS       char;
 %dcl MQIACF_REASON_QUALIFIER      char;
 %dcl MQIACF_COMMAND               char;
 %dcl MQIACF_OPEN_OPTIONS          char;
 %dcl MQIACF_OPEN_TYPE             char;
 %dcl MQIACF_PROCESS_ID            char;
 %dcl MQIACF_THREAD_ID             char;
 %dcl MQIACF_Q_STATUS_ATTRS        char;
 %dcl MQIACF_UNCOMMITTED_MSGS      char;
 %dcl MQIACF_AUX_ERROR_DATA_INT_1  char;
 %dcl MQIACF_AUX_ERROR_DATA_INT_2  char;
 %dcl MQIACF_CONV_REASON_CODE      char;
 %dcl MQIACF_BRIDGE_TYPE           char;
 %dcl MQIACF_INQUIRY               char;
 %dcl MQIACF_WAIT_INTERVAL         char;
 %dcl MQIACF_OPTIONS               char;
 %dcl MQIACF_BROKER_OPTIONS        char;
 %dcl MQIACF_SEQUENCE_NUMBER       char;
 %dcl MQIACF_INTEGER_DATA          char;
 %dcl MQIACF_REGISTRATION_OPTIONS  char;
 %dcl MQIACF_PUBLICATION_OPTIONS   char;
 %dcl MQIACF_CLUSTER_INFO          char;
 %dcl MQIACF_Q_MGR_DEFINITION_TYPE char;
 %dcl MQIACF_Q_MGR_TYPE            char;
 %dcl MQIACF_ACTION                char;
 %dcl MQIACF_SUSPEND               char;
 %dcl MQIACF_BROKER_COUNT          char;
 %dcl MQIACF_APPL_COUNT            char;
 %dcl MQIACF_ANONYMOUS_COUNT       char;
 %dcl MQIACF_REG_REG_OPTIONS       char;
 %dcl MQIACF_DELETE_OPTIONS        char;
 %dcl MQIACF_CLUSTER_Q_MGR_ATTRS   char;
 %dcl MQIACF_REFRESH_REPOSITORY    char;
 %dcl MQIACF_REMOVE_QUEUES         char;
 %dcl MQIACF_OPEN_INPUT_TYPE       char;
 %dcl MQIACF_OPEN_OUTPUT           char;
 %dcl MQIACF_OPEN_SET              char;
 %dcl MQIACF_OPEN_INQUIRE          char;
 %dcl MQIACF_OPEN_BROWSE           char;
 %dcl MQIACF_Q_STATUS_TYPE         char;
 %dcl MQIACF_Q_HANDLE              char;
 %dcl MQIACF_Q_STATUS              char;
 %dcl MQIACF_LAST_USED             char;
 %MQIACF_FIRST                 = '1001';
 %MQIACF_Q_MGR_ATTRS           = '1001';
 %MQIACF_Q_ATTRS               = '1002';
 %MQIACF_PROCESS_ATTRS         = '1003';
 %MQIACF_NAMELIST_ATTRS        = '1004';
 %MQIACF_FORCE                 = '1005';
 %MQIACF_REPLACE               = '1006';
 %MQIACF_PURGE                 = '1007';
 %MQIACF_QUIESCE               = '1008';
 %MQIACF_MODE                  = '1008';
 %MQIACF_ALL                   = '1009';
 %MQIACF_EVENT_APPL_TYPE       = '1010';
 %MQIACF_EVENT_ORIGIN          = '1011';
 %MQIACF_PARAMETER_ID          = '1012';
 %MQIACF_ERROR_ID              = '1013';
 %MQIACF_ERROR_IDENTIFIER      = '1013';
 %MQIACF_SELECTOR              = '1014';
 %MQIACF_CHANNEL_ATTRS         = '1015';
 %MQIACF_OBJECT_TYPE           = '1016';
 %MQIACF_ESCAPE_TYPE           = '1017';
 %MQIACF_ERROR_OFFSET          = '1018';
 %MQIACF_AUTH_INFO_ATTRS       = '1019';
 %MQIACF_REASON_QUALIFIER      = '1020';
 %MQIACF_COMMAND               = '1021';
 %MQIACF_OPEN_OPTIONS          = '1022';
 %MQIACF_OPEN_TYPE             = '1023';
 %MQIACF_PROCESS_ID            = '1024';
 %MQIACF_THREAD_ID             = '1025';
 %MQIACF_Q_STATUS_ATTRS        = '1026';
 %MQIACF_UNCOMMITTED_MSGS      = '1027';
 %MQIACF_AUX_ERROR_DATA_INT_1  = '1070';
 %MQIACF_AUX_ERROR_DATA_INT_2  = '1071';
 %MQIACF_CONV_REASON_CODE      = '1072';
 %MQIACF_BRIDGE_TYPE           = '1073';
 %MQIACF_INQUIRY               = '1074';
 %MQIACF_WAIT_INTERVAL         = '1075';
 %MQIACF_OPTIONS               = '1076';
 %MQIACF_BROKER_OPTIONS        = '1077';
 %MQIACF_SEQUENCE_NUMBER       = '1079';
 %MQIACF_INTEGER_DATA          = '1080';
 %MQIACF_REGISTRATION_OPTIONS  = '1081';
 %MQIACF_PUBLICATION_OPTIONS   = '1082';
 %MQIACF_CLUSTER_INFO          = '1083';
 %MQIACF_Q_MGR_DEFINITION_TYPE = '1084';
 %MQIACF_Q_MGR_TYPE            = '1085';
 %MQIACF_ACTION                = '1086';
 %MQIACF_SUSPEND               = '1087';
 %MQIACF_BROKER_COUNT          = '1088';
 %MQIACF_APPL_COUNT            = '1089';
 %MQIACF_ANONYMOUS_COUNT       = '1090';
 %MQIACF_REG_REG_OPTIONS       = '1091';
 %MQIACF_DELETE_OPTIONS        = '1092';
 %MQIACF_CLUSTER_Q_MGR_ATTRS   = '1093';
 %MQIACF_REFRESH_REPOSITORY    = '1095';
 %MQIACF_REMOVE_QUEUES         = '1096';
 %MQIACF_OPEN_INPUT_TYPE       = '1098';
 %MQIACF_OPEN_OUTPUT           = '1099';
 %MQIACF_OPEN_SET              = '1100';
 %MQIACF_OPEN_INQUIRE          = '1101';
 %MQIACF_OPEN_BROWSE           = '1102';
 %MQIACF_Q_STATUS_TYPE         = '1103';
 %MQIACF_Q_HANDLE              = '1104';
 %MQIACF_Q_STATUS              = '1105';
 %MQIACF_LAST_USED             = '1105';
                                                                       
 %dcl MQIACH_FIRST                   char;
 %dcl MQIACH_XMIT_PROTOCOL_TYPE      char;
 %dcl MQIACH_BATCH_SIZE              char;
 %dcl MQIACH_DISC_INTERVAL           char;
 %dcl MQIACH_SHORT_TIMER             char;
 %dcl MQIACH_SHORT_RETRY             char;
 %dcl MQIACH_LONG_TIMER              char;
 %dcl MQIACH_LONG_RETRY              char;
 %dcl MQIACH_PUT_AUTHORITY           char;
 %dcl MQIACH_SEQUENCE_NUMBER_WRAP    char;
 %dcl MQIACH_MAX_MSG_LENGTH          char;
 %dcl MQIACH_CHANNEL_TYPE            char;
 %dcl MQIACH_DATA_COUNT              char;
 %dcl MQIACH_MSG_SEQUENCE_NUMBER     char;
 %dcl MQIACH_DATA_CONVERSION         char;
 %dcl MQIACH_IN_DOUBT                char;
 %dcl MQIACH_MCA_TYPE                char;
 %dcl MQIACH_CHANNEL_INSTANCE_TYPE   char;
 %dcl MQIACH_CHANNEL_INSTANCE_ATTRS  char;
 %dcl MQIACH_CHANNEL_ERROR_DATA      char;
 %dcl MQIACH_CHANNEL_TABLE           char;
 %dcl MQIACH_CHANNEL_STATUS          char;
 %dcl MQIACH_INDOUBT_STATUS          char;
 %dcl MQIACH_LAST_SEQ_NUMBER         char;
 %dcl MQIACH_LAST_SEQUENCE_NUMBER    char;
 %dcl MQIACH_CURRENT_MSGS            char;
 %dcl MQIACH_CURRENT_SEQ_NUMBER      char;
 %dcl MQIACH_CURRENT_SEQUENCE_NUMBER char;
 %dcl MQIACH_SSL_RETURN_CODE         char;
 %dcl MQIACH_MSGS                    char;
 %dcl MQIACH_BYTES_SENT              char;
 %dcl MQIACH_BYTES_RCVD              char;
 %dcl MQIACH_BYTES_RECEIVED          char;
 %dcl MQIACH_BATCHES                 char;
 %dcl MQIACH_BUFFERS_SENT            char;
 %dcl MQIACH_BUFFERS_RCVD            char;
 %dcl MQIACH_BUFFERS_RECEIVED        char;
 %dcl MQIACH_LONG_RETRIES_LEFT       char;
 %dcl MQIACH_SHORT_RETRIES_LEFT      char;
 %dcl MQIACH_MCA_STATUS              char;
 %dcl MQIACH_STOP_REQUESTED          char;
 %dcl MQIACH_MR_COUNT                char;
 %dcl MQIACH_MR_INTERVAL             char;
 %dcl MQIACH_NPM_SPEED               char;
 %dcl MQIACH_HB_INTERVAL             char;
 %dcl MQIACH_BATCH_INTERVAL          char;
 %dcl MQIACH_NETWORK_PRIORITY        char;
 %dcl MQIACH_KEEP_ALIVE_INTERVAL     char;
 %dcl MQIACH_BATCH_HB                char;
 %dcl MQIACH_SSL_CLIENT_AUTH         char;
 %dcl MQIACH_LAST_USED               char;
 %MQIACH_FIRST                   = '1501';
 %MQIACH_XMIT_PROTOCOL_TYPE      = '1501';
 %MQIACH_BATCH_SIZE              = '1502';
 %MQIACH_DISC_INTERVAL           = '1503';
 %MQIACH_SHORT_TIMER             = '1504';
 %MQIACH_SHORT_RETRY             = '1505';
 %MQIACH_LONG_TIMER              = '1506';
 %MQIACH_LONG_RETRY              = '1507';
 %MQIACH_PUT_AUTHORITY           = '1508';
 %MQIACH_SEQUENCE_NUMBER_WRAP    = '1509';
 %MQIACH_MAX_MSG_LENGTH          = '1510';
 %MQIACH_CHANNEL_TYPE            = '1511';
 %MQIACH_DATA_COUNT              = '1512';
 %MQIACH_MSG_SEQUENCE_NUMBER     = '1514';
 %MQIACH_DATA_CONVERSION         = '1515';
 %MQIACH_IN_DOUBT                = '1516';
 %MQIACH_MCA_TYPE                = '1517';
 %MQIACH_CHANNEL_INSTANCE_TYPE   = '1523';
 %MQIACH_CHANNEL_INSTANCE_ATTRS  = '1524';
 %MQIACH_CHANNEL_ERROR_DATA      = '1525';
 %MQIACH_CHANNEL_TABLE           = '1526';
 %MQIACH_CHANNEL_STATUS          = '1527';
 %MQIACH_INDOUBT_STATUS          = '1528';
 %MQIACH_LAST_SEQ_NUMBER         = '1529';
 %MQIACH_LAST_SEQUENCE_NUMBER    = '1529';
 %MQIACH_CURRENT_MSGS            = '1531';
 %MQIACH_CURRENT_SEQ_NUMBER      = '1532';
 %MQIACH_CURRENT_SEQUENCE_NUMBER = '1532';
 %MQIACH_SSL_RETURN_CODE         = '1533';
 %MQIACH_MSGS                    = '1534';
 %MQIACH_BYTES_SENT              = '1535';
 %MQIACH_BYTES_RCVD              = '1536';
 %MQIACH_BYTES_RECEIVED          = '1536';
 %MQIACH_BATCHES                 = '1537';
 %MQIACH_BUFFERS_SENT            = '1538';
 %MQIACH_BUFFERS_RCVD            = '1539';
 %MQIACH_BUFFERS_RECEIVED        = '1539';
 %MQIACH_LONG_RETRIES_LEFT       = '1540';
 %MQIACH_SHORT_RETRIES_LEFT      = '1541';
 %MQIACH_MCA_STATUS              = '1542';
 %MQIACH_STOP_REQUESTED          = '1543';
 %MQIACH_MR_COUNT                = '1544';
 %MQIACH_MR_INTERVAL             = '1545';
 %MQIACH_NPM_SPEED               = '1562';
 %MQIACH_HB_INTERVAL             = '1563';
 %MQIACH_BATCH_INTERVAL          = '1564';
 %MQIACH_NETWORK_PRIORITY        = '1565';
 %MQIACH_KEEP_ALIVE_INTERVAL     = '1566';
 %MQIACH_BATCH_HB                = '1567';
 %MQIACH_SSL_CLIENT_AUTH         = '1568';
 %MQIACH_LAST_USED               = '1568';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to Character Parameter Structures                */
 /********************************************************************/
                                                                       
 /* Character Parameter Types */
 %dcl MQCACF_FIRST                   char;
 %dcl MQCACF_FROM_Q_NAME             char;
 %dcl MQCACF_TO_Q_NAME               char;
 %dcl MQCACF_FROM_PROCESS_NAME       char;
 %dcl MQCACF_TO_PROCESS_NAME         char;
 %dcl MQCACF_FROM_NAMELIST_NAME      char;
 %dcl MQCACF_TO_NAMELIST_NAME        char;
 %dcl MQCACF_FROM_CHANNEL_NAME       char;
 %dcl MQCACF_TO_CHANNEL_NAME         char;
 %dcl MQCACF_FROM_AUTH_INFO_NAME     char;
 %dcl MQCACF_TO_AUTH_INFO_NAME       char;
 %dcl MQCACF_Q_NAMES                 char;
 %dcl MQCACF_PROCESS_NAMES           char;
 %dcl MQCACF_NAMELIST_NAMES          char;
 %dcl MQCACF_ESCAPE_TEXT             char;
 %dcl MQCACF_LOCAL_Q_NAMES           char;
 %dcl MQCACF_MODEL_Q_NAMES           char;
 %dcl MQCACF_ALIAS_Q_NAMES           char;
 %dcl MQCACF_REMOTE_Q_NAMES          char;
 %dcl MQCACF_SENDER_CHANNEL_NAMES    char;
 %dcl MQCACF_SERVER_CHANNEL_NAMES    char;
 %dcl MQCACF_REQUESTER_CHANNEL_NAMES char;
 %dcl MQCACF_RECEIVER_CHANNEL_NAMES  char;
 %dcl MQCACF_OBJECT_Q_MGR_NAME       char;
 %dcl MQCACF_APPL_NAME               char;
 %dcl MQCACF_USER_IDENTIFIER         char;
 %dcl MQCACF_AUX_ERROR_DATA_STR_1    char;
 %dcl MQCACF_AUX_ERROR_DATA_STR_2    char;
 %dcl MQCACF_AUX_ERROR_DATA_STR_3    char;
 %dcl MQCACF_BRIDGE_NAME             char;
 %dcl MQCACF_STREAM_NAME             char;
 %dcl MQCACF_TOPIC                   char;
 %dcl MQCACF_PARENT_Q_MGR_NAME       char;
 %dcl MQCACF_CORREL_ID               char;
 %dcl MQCACF_PUBLISH_TIMESTAMP       char;
 %dcl MQCACF_STRING_DATA             char;
 %dcl MQCACF_SUPPORTED_STREAM_NAME   char;
 %dcl MQCACF_REG_TOPIC               char;
 %dcl MQCACF_REG_TIME                char;
 %dcl MQCACF_REG_USER_ID             char;
 %dcl MQCACF_CHILD_Q_MGR_NAME        char;
 %dcl MQCACF_REG_STREAM_NAME         char;
 %dcl MQCACF_REG_Q_MGR_NAME          char;
 %dcl MQCACF_REG_Q_NAME              char;
 %dcl MQCACF_REG_CORREL_ID           char;
 %dcl MQCACF_EVENT_USER_ID           char;
 %dcl MQCACF_EVENT_Q_MGR             char;
 %dcl MQCACF_AUTH_INFO_NAMES         char;
 %dcl MQCACF_EVENT_APPL_IDENTITY     char;
 %dcl MQCACF_EVENT_APPL_NAME         char;
 %dcl MQCACF_EVENT_APPL_ORIGIN       char;
 %dcl MQCACF_SUBSCRIPTION_NAME       char;
 %dcl MQCACF_REG_SUB_NAME            char;
 %dcl MQCACF_SUBSCRIPTION_IDENTITY   char;
 %dcl MQCACF_REG_SUB_IDENTITY        char;
 %dcl MQCACF_SUBSCRIPTION_USER_DATA  char;
 %dcl MQCACF_REG_SUB_USER_DATA       char;
 %dcl MQCACF_APPL_TAG                char;
 %dcl MQCACF_LAST_USED               char;
 %MQCACF_FIRST                   = '3001';
 %MQCACF_FROM_Q_NAME             = '3001';
 %MQCACF_TO_Q_NAME               = '3002';
 %MQCACF_FROM_PROCESS_NAME       = '3003';
 %MQCACF_TO_PROCESS_NAME         = '3004';
 %MQCACF_FROM_NAMELIST_NAME      = '3005';
 %MQCACF_TO_NAMELIST_NAME        = '3006';
 %MQCACF_FROM_CHANNEL_NAME       = '3007';
 %MQCACF_TO_CHANNEL_NAME         = '3008';
 %MQCACF_FROM_AUTH_INFO_NAME     = '3009';
 %MQCACF_TO_AUTH_INFO_NAME       = '3010';
 %MQCACF_Q_NAMES                 = '3011';
 %MQCACF_PROCESS_NAMES           = '3012';
 %MQCACF_NAMELIST_NAMES          = '3013';
 %MQCACF_ESCAPE_TEXT             = '3014';
 %MQCACF_LOCAL_Q_NAMES           = '3015';
 %MQCACF_MODEL_Q_NAMES           = '3016';
 %MQCACF_ALIAS_Q_NAMES           = '3017';
 %MQCACF_REMOTE_Q_NAMES          = '3018';
 %MQCACF_SENDER_CHANNEL_NAMES    = '3019';
 %MQCACF_SERVER_CHANNEL_NAMES    = '3020';
 %MQCACF_REQUESTER_CHANNEL_NAMES = '3021';
 %MQCACF_RECEIVER_CHANNEL_NAMES  = '3022';
 %MQCACF_OBJECT_Q_MGR_NAME       = '3023';
 %MQCACF_APPL_NAME               = '3024';
 %MQCACF_USER_IDENTIFIER         = '3025';
 %MQCACF_AUX_ERROR_DATA_STR_1    = '3026';
 %MQCACF_AUX_ERROR_DATA_STR_2    = '3027';
 %MQCACF_AUX_ERROR_DATA_STR_3    = '3028';
 %MQCACF_BRIDGE_NAME             = '3029';
 %MQCACF_STREAM_NAME             = '3030';
 %MQCACF_TOPIC                   = '3031';
 %MQCACF_PARENT_Q_MGR_NAME       = '3032';
 %MQCACF_CORREL_ID               = '3033';
 %MQCACF_PUBLISH_TIMESTAMP       = '3034';
 %MQCACF_STRING_DATA             = '3035';
 %MQCACF_SUPPORTED_STREAM_NAME   = '3036';
 %MQCACF_REG_TOPIC               = '3037';
 %MQCACF_REG_TIME                = '3038';
 %MQCACF_REG_USER_ID             = '3039';
 %MQCACF_CHILD_Q_MGR_NAME        = '3040';
 %MQCACF_REG_STREAM_NAME         = '3041';
 %MQCACF_REG_Q_MGR_NAME          = '3042';
 %MQCACF_REG_Q_NAME              = '3043';
 %MQCACF_REG_CORREL_ID           = '3044';
 %MQCACF_EVENT_USER_ID           = '3045';
 %MQCACF_EVENT_Q_MGR             = '3047';
 %MQCACF_AUTH_INFO_NAMES         = '3048';
 %MQCACF_EVENT_APPL_IDENTITY     = '3049';
 %MQCACF_EVENT_APPL_NAME         = '3050';
 %MQCACF_EVENT_APPL_ORIGIN       = '3051';
 %MQCACF_SUBSCRIPTION_NAME       = '3052';
 %MQCACF_REG_SUB_NAME            = '3053';
 %MQCACF_SUBSCRIPTION_IDENTITY   = '3054';
 %MQCACF_REG_SUB_IDENTITY        = '3055';
 %MQCACF_SUBSCRIPTION_USER_DATA  = '3056';
 %MQCACF_REG_SUB_USER_DATA       = '3057';
 %MQCACF_APPL_TAG                = '3058';
 %MQCACF_LAST_USED               = '3058';
                                                                       
 %dcl MQCACH_FIRST               char;
 %dcl MQCACH_CHANNEL_NAME        char;
 %dcl MQCACH_DESC                char;
 %dcl MQCACH_MODE_NAME           char;
 %dcl MQCACH_TP_NAME             char;
 %dcl MQCACH_XMIT_Q_NAME         char;
 %dcl MQCACH_CONNECTION_NAME     char;
 %dcl MQCACH_MCA_NAME            char;
 %dcl MQCACH_SEC_EXIT_NAME       char;
 %dcl MQCACH_MSG_EXIT_NAME       char;
 %dcl MQCACH_SEND_EXIT_NAME      char;
 %dcl MQCACH_RCV_EXIT_NAME       char;
 %dcl MQCACH_CHANNEL_NAMES       char;
 %dcl MQCACH_SEC_EXIT_USER_DATA  char;
 %dcl MQCACH_MSG_EXIT_USER_DATA  char;
 %dcl MQCACH_SEND_EXIT_USER_DATA char;
 %dcl MQCACH_RCV_EXIT_USER_DATA  char;
 %dcl MQCACH_USER_ID             char;
 %dcl MQCACH_PASSWORD            char;
 %dcl MQCACH_LOCAL_ADDRESS       char;
 %dcl MQCACH_LAST_MSG_TIME       char;
 %dcl MQCACH_LAST_MSG_DATE       char;
 %dcl MQCACH_MCA_USER_ID         char;
 %dcl MQCACH_CHANNEL_START_TIME  char;
 %dcl MQCACH_CHANNEL_START_DATE  char;
 %dcl MQCACH_MCA_JOB_NAME        char;
 %dcl MQCACH_LAST_LUWID          char;
 %dcl MQCACH_CURRENT_LUWID       char;
 %dcl MQCACH_FORMAT_NAME         char;
 %dcl MQCACH_MR_EXIT_NAME        char;
 %dcl MQCACH_MR_EXIT_USER_DATA   char;
 %dcl MQCACH_SSL_CIPHER_SPEC     char;
 %dcl MQCACH_SSL_PEER_NAME       char;
 %dcl MQCACH_SSL_HANDSHAKE_STAGE char;
 %dcl MQCACH_SSL_SHORT_PEER_NAME char;
 %dcl MQCACH_LAST_USED           char;
 %MQCACH_FIRST               = '3501';
 %MQCACH_CHANNEL_NAME        = '3501';
 %MQCACH_DESC                = '3502';
 %MQCACH_MODE_NAME           = '3503';
 %MQCACH_TP_NAME             = '3504';
 %MQCACH_XMIT_Q_NAME         = '3505';
 %MQCACH_CONNECTION_NAME     = '3506';
 %MQCACH_MCA_NAME            = '3507';
 %MQCACH_SEC_EXIT_NAME       = '3508';
 %MQCACH_MSG_EXIT_NAME       = '3509';
 %MQCACH_SEND_EXIT_NAME      = '3510';
 %MQCACH_RCV_EXIT_NAME       = '3511';
 %MQCACH_CHANNEL_NAMES       = '3512';
 %MQCACH_SEC_EXIT_USER_DATA  = '3513';
 %MQCACH_MSG_EXIT_USER_DATA  = '3514';
 %MQCACH_SEND_EXIT_USER_DATA = '3515';
 %MQCACH_RCV_EXIT_USER_DATA  = '3516';
 %MQCACH_USER_ID             = '3517';
 %MQCACH_PASSWORD            = '3518';
 %MQCACH_LOCAL_ADDRESS       = '3520';
 %MQCACH_LAST_MSG_TIME       = '3524';
 %MQCACH_LAST_MSG_DATE       = '3525';
 %MQCACH_MCA_USER_ID         = '3527';
 %MQCACH_CHANNEL_START_TIME  = '3528';
 %MQCACH_CHANNEL_START_DATE  = '3529';
 %MQCACH_MCA_JOB_NAME        = '3530';
 %MQCACH_LAST_LUWID          = '3531';
 %MQCACH_CURRENT_LUWID       = '3532';
 %MQCACH_FORMAT_NAME         = '3533';
 %MQCACH_MR_EXIT_NAME        = '3534';
 %MQCACH_MR_EXIT_USER_DATA   = '3535';
 %MQCACH_SSL_CIPHER_SPEC     = '3544';
 %MQCACH_SSL_PEER_NAME       = '3545';
 %MQCACH_SSL_HANDSHAKE_STAGE = '3546';
 %MQCACH_SSL_SHORT_PEER_NAME = '3547';
 %MQCACH_LAST_USED           = '3547';
                                                                       
                                                                       
 /********************************************************************/
 /*  Parameter Values                                                */
 /********************************************************************/
                                                                       
 /* Action Option */
 %dcl MQACT_FORCE_REMOVE char;
 %MQACT_FORCE_REMOVE = '1';
                                                                       
 /* Bridge Type */
 %dcl MQBT_OTMA char;
 %MQBT_OTMA = '1';
                                                                       
 /* Refresh Repository Option */
 %dcl MQCFO_REFRESH_REPOSITORY_YES char;
 %dcl MQCFO_REFRESH_REPOSITORY_NO  char;
 %MQCFO_REFRESH_REPOSITORY_YES = '1';
 %MQCFO_REFRESH_REPOSITORY_NO  = '0';
                                                                       
 /* Remove Queues Option */
 %dcl MQCFO_REMOVE_QUEUES_YES char;
 %dcl MQCFO_REMOVE_QUEUES_NO  char;
 %MQCFO_REMOVE_QUEUES_YES = '1';
 %MQCFO_REMOVE_QUEUES_NO  = '0';
                                                                       
 /* Indoubt Status */
 %dcl MQCHIDS_NOT_INDOUBT char;
 %dcl MQCHIDS_INDOUBT     char;
 %MQCHIDS_NOT_INDOUBT = '0';
 %MQCHIDS_INDOUBT     = '1';
                                                                       
 /* Channel Status */
 %dcl MQCHS_INACTIVE     char;
 %dcl MQCHS_BINDING      char;
 %dcl MQCHS_STARTING     char;
 %dcl MQCHS_RUNNING      char;
 %dcl MQCHS_STOPPING     char;
 %dcl MQCHS_RETRYING     char;
 %dcl MQCHS_STOPPED      char;
 %dcl MQCHS_REQUESTING   char;
 %dcl MQCHS_PAUSED       char;
 %dcl MQCHS_INITIALIZING char;
 %MQCHS_INACTIVE     = '0';
 %MQCHS_BINDING      = '1';
 %MQCHS_STARTING     = '2';
 %MQCHS_RUNNING      = '3';
 %MQCHS_STOPPING     = '4';
 %MQCHS_RETRYING     = '5';
 %MQCHS_STOPPED      = '6';
 %MQCHS_REQUESTING   = '7';
 %MQCHS_PAUSED       = '8';
 %MQCHS_INITIALIZING = '13';
                                                                       
 /* Channel Stop Option */
 %dcl MQCHSR_STOP_NOT_REQUESTED char;
 %dcl MQCHSR_STOP_REQUESTED     char;
 %MQCHSR_STOP_NOT_REQUESTED = '0';
 %MQCHSR_STOP_REQUESTED     = '1';
                                                                       
 /* Channel Table Type */
 %dcl MQCHTAB_Q_MGR    char;
 %dcl MQCHTAB_CLNTCONN char;
 %MQCHTAB_Q_MGR    = '1';
 %MQCHTAB_CLNTCONN = '2';
                                                                       
 /* Coupling Facility Recoverability */
 %dcl MQCFR_YES char;
 %dcl MQCFR_NO  char;
 %MQCFR_YES = '1';
 %MQCFR_NO  = '0';
                                                                       
 /* Escape Type */
 %dcl MQET_MQSC char;
 %MQET_MQSC = '1';
                                                                       
 /* Event Origin */
 %dcl MQEVO_OTHER    char;
 %dcl MQEVO_CONSOLE  char;
 %dcl MQEVO_INIT     char;
 %dcl MQEVO_MSG      char;
 %dcl MQEVO_MQSET    char;
 %dcl MQEVO_INTERNAL char;
 %MQEVO_OTHER    = '0';
 %MQEVO_CONSOLE  = '1';
 %MQEVO_INIT     = '2';
 %MQEVO_MSG      = '3';
 %MQEVO_MQSET    = '4';
 %MQEVO_INTERNAL = '5';
                                                                       
 /* Event Recording */
 %dcl MQEVR_DISABLED char;
 %dcl MQEVR_ENABLED  char;
 %MQEVR_DISABLED = '0';
 %MQEVR_ENABLED  = '1';
                                                                       
 /* Force Option */
 %dcl MQFC_YES char;
 %dcl MQFC_NO  char;
 %MQFC_YES = '1';
 %MQFC_NO  = '0';
                                                                       
 /* Indoubt Option */
 %dcl MQIDO_COMMIT  char;
 %dcl MQIDO_BACKOUT char;
 %MQIDO_COMMIT  = '1';
 %MQIDO_BACKOUT = '2';
                                                                       
 /* Message Channel Agent Status */
 %dcl MQMCAS_STOPPED char;
 %dcl MQMCAS_RUNNING char;
 %MQMCAS_STOPPED = '0';
 %MQMCAS_RUNNING = '3';
                                                                       
 /* Mode Option */
 %dcl MQMODE_FORCE     char;
 %dcl MQMODE_QUIESCE   char;
 %dcl MQMODE_TERMINATE char;
 %MQMODE_FORCE     = '0';
 %MQMODE_QUIESCE   = '1';
 %MQMODE_TERMINATE = '2';
                                                                       
 /* Purge Option */
 %dcl MQPO_YES char;
 %dcl MQPO_NO  char;
 %MQPO_YES = '1';
 %MQPO_NO  = '0';
                                                                       
 /* Queue Manager Definition Type */
 %dcl MQQMDT_EXPLICIT_CLUSTER_SENDER char;
 %dcl MQQMDT_AUTO_CLUSTER_SENDER     char;
 %dcl MQQMDT_AUTO_EXP_CLUSTER_SENDER char;
 %dcl MQQMDT_CLUSTER_RECEIVER        char;
 %MQQMDT_EXPLICIT_CLUSTER_SENDER = '1';
 %MQQMDT_AUTO_CLUSTER_SENDER     = '2';
 %MQQMDT_AUTO_EXP_CLUSTER_SENDER = '4';
 %MQQMDT_CLUSTER_RECEIVER        = '3';
                                                                       
 /* Queue Manager Type */
 %dcl MQQMT_NORMAL     char;
 %dcl MQQMT_REPOSITORY char;
 %MQQMT_NORMAL     = '0';
 %MQQMT_REPOSITORY = '1';
                                                                       
 /* Quiesce Option */
 %dcl MQQO_YES char;
 %dcl MQQO_NO  char;
 %MQQO_YES = '1';
 %MQQO_NO  = '0';
                                                                       
 /* Queue Service-Interval Events */
 %dcl MQQSIE_NONE char;
 %dcl MQQSIE_HIGH char;
 %dcl MQQSIE_OK   char;
 %MQQSIE_NONE = '0';
 %MQQSIE_HIGH = '1';
 %MQQSIE_OK   = '2';
                                                                       
 /* Queue Status Open Type */
 %dcl MQQSOT_ALL    char;
 %dcl MQQSOT_INPUT  char;
 %dcl MQQSOT_OUTPUT char;
 %MQQSOT_ALL    = '1';
 %MQQSOT_INPUT  = '2';
 %MQQSOT_OUTPUT = '3';
 
  /* Queue Status Open Options */
 %dcl MQQSO_NO          char;
 %dcl MQQSO_YES         char;
 %dcl MQQSO_SHARED      char;
 %dcl MQQSO_EXCLUSIVE   char;
 %MQQSO_YES       = '0';
 %MQQSO_YES       = '1';
 %MQQSO_SHARED    = '1';
 %MQQSO_EXCLUSIVE = '2';
                                                                      
 /* Queue Status Uncommitted Messages */
 %dcl MQQSUM_YES char;
 %dcl MQQSUM_NO  char;
 %MQQSUM_YES = '1';
 %MQQSUM_NO  = '0';
                                                                       
 /* Replace Option */
 %dcl MQRP_YES char;
 %dcl MQRP_NO  char;
 %MQRP_YES = '1';
 %MQRP_NO  = '0';
                                                                       
 /* Reason Qualifiers */
 %dcl MQRQ_CONN_NOT_AUTHORIZED      char;
 %dcl MQRQ_OPEN_NOT_AUTHORIZED      char;
 %dcl MQRQ_CLOSE_NOT_AUTHORIZED     char;
 %dcl MQRQ_CMD_NOT_AUTHORIZED       char;
 %dcl MQRQ_Q_MGR_STOPPING           char;
 %dcl MQRQ_Q_MGR_QUIESCING          char;
 %dcl MQRQ_CHANNEL_STOPPED_OK       char;
 %dcl MQRQ_CHANNEL_STOPPED_ERROR    char;
 %dcl MQRQ_CHANNEL_STOPPED_RETRY    char;
 %dcl MQRQ_CHANNEL_STOPPED_DISABLED char;
 %dcl MQRQ_BRIDGE_STOPPED_OK        char;
 %dcl MQRQ_BRIDGE_STOPPED_ERROR     char;
 %dcl MQRQ_SSL_HANDSHAKE_ERROR      char;
 %dcl MQRQ_SSL_CIPHER_SPEC_ERROR    char;
 %dcl MQRQ_SSL_CLIENT_AUTH_ERROR    char;
 %dcl MQRQ_SSL_PEER_NAME_ERROR      char;
 %MQRQ_CONN_NOT_AUTHORIZED      = '1';
 %MQRQ_OPEN_NOT_AUTHORIZED      = '2';
 %MQRQ_CLOSE_NOT_AUTHORIZED     = '3';
 %MQRQ_CMD_NOT_AUTHORIZED       = '4';
 %MQRQ_Q_MGR_STOPPING           = '5';
 %MQRQ_Q_MGR_QUIESCING          = '6';
 %MQRQ_CHANNEL_STOPPED_OK       = '7';
 %MQRQ_CHANNEL_STOPPED_ERROR    = '8';
 %MQRQ_CHANNEL_STOPPED_RETRY    = '9';
 %MQRQ_CHANNEL_STOPPED_DISABLED = '10';
 %MQRQ_BRIDGE_STOPPED_OK        = '11';
 %MQRQ_BRIDGE_STOPPED_ERROR     = '12';
 %MQRQ_SSL_HANDSHAKE_ERROR      = '13';
 %MQRQ_SSL_CIPHER_SPEC_ERROR    = '14';
 %MQRQ_SSL_CLIENT_AUTH_ERROR    = '15';
 %MQRQ_SSL_PEER_NAME_ERROR      = '16';
                                                                       
 /* Queue Definition Scope */
 %dcl MQSCO_Q_MGR char;
 %dcl MQSCO_CELL  char;
 %MQSCO_Q_MGR = '1';
 %MQSCO_CELL  = '2';
                                                                       
 /* Suspend Status */
 %dcl MQSUS_YES char;
 %dcl MQSUS_NO  char;
 %MQSUS_YES = '1';
 %MQSUS_NO  = '0';
                                                                       
                                                                       
 /********************************************************************/
 /*  Values Related to Publish/Subscribe                             */
 /********************************************************************/
                                                                       
 /* Delete Options */
 %dcl MQDELO_NONE  char;
 %dcl MQDELO_LOCAL char;
 %MQDELO_NONE  = '0';
 %MQDELO_LOCAL = '4';
                                                                       
 /* Publication Options */
 %dcl MQPUBO_NONE                    char;
 %dcl MQPUBO_CORREL_ID_AS_IDENTITY   char;
 %dcl MQPUBO_RETAIN_PUBLICATION      char;
 %dcl MQPUBO_OTHER_SUBSCRIBERS_ONLY  char;
 %dcl MQPUBO_NO_REGISTRATION         char;
 %dcl MQPUBO_IS_RETAINED_PUBLICATION char;
 %MQPUBO_NONE                    = '0';
 %MQPUBO_CORREL_ID_AS_IDENTITY   = '1';
 %MQPUBO_RETAIN_PUBLICATION      = '2';
 %MQPUBO_OTHER_SUBSCRIBERS_ONLY  = '4';
 %MQPUBO_NO_REGISTRATION         = '8';
 %MQPUBO_IS_RETAINED_PUBLICATION = '16';
                                                                       
 /* Registration Options */
 %dcl MQREGO_NONE                    char;
 %dcl MQREGO_CORREL_ID_AS_IDENTITY   char;
 %dcl MQREGO_ANONYMOUS               char;
 %dcl MQREGO_LOCAL                   char;
 %dcl MQREGO_DIRECT_REQUESTS         char;
 %dcl MQREGO_NEW_PUBLICATIONS_ONLY   char;
 %dcl MQREGO_PUBLISH_ON_REQUEST_ONLY char;
 %dcl MQREGO_DEREGISTER_ALL          char;
 %dcl MQREGO_INCLUDE_STREAM_NAME     char;
 %dcl MQREGO_INFORM_IF_RETAINED      char;
 %dcl MQREGO_DUPLICATES_OK           char;
 %dcl MQREGO_NON_PERSISTENT          char;
 %dcl MQREGO_PERSISTENT              char;
 %dcl MQREGO_PERSISTENT_AS_PUBLISH   char;
 %dcl MQREGO_PERSISTENT_AS_Q         char;
 %dcl MQREGO_ADD_NAME                char;
 %dcl MQREGO_NO_ALTERATION           char;
 %dcl MQREGO_FULL_RESPONSE           char;
 %dcl MQREGO_JOIN_SHARED             char;
 %dcl MQREGO_JOIN_EXCLUSIVE          char;
 %dcl MQREGO_LEAVE_ONLY              char;
 %dcl MQREGO_VARIABLE_USER_ID        char;
 %dcl MQREGO_LOCKED                  char;
 %MQREGO_NONE                    = '0';
 %MQREGO_CORREL_ID_AS_IDENTITY   = '1';
 %MQREGO_ANONYMOUS               = '2';
 %MQREGO_LOCAL                   = '4';
 %MQREGO_DIRECT_REQUESTS         = '8';
 %MQREGO_NEW_PUBLICATIONS_ONLY   = '16';
 %MQREGO_PUBLISH_ON_REQUEST_ONLY = '32';
 %MQREGO_DEREGISTER_ALL          = '64';
 %MQREGO_INCLUDE_STREAM_NAME     = '128';
 %MQREGO_INFORM_IF_RETAINED      = '256';
 %MQREGO_DUPLICATES_OK           = '512';
 %MQREGO_NON_PERSISTENT          = '1024';
 %MQREGO_PERSISTENT              = '2048';
 %MQREGO_PERSISTENT_AS_PUBLISH   = '4096';
 %MQREGO_PERSISTENT_AS_Q         = '8192';
 %MQREGO_ADD_NAME                = '16384';
 %MQREGO_NO_ALTERATION           = '32768';
 %MQREGO_FULL_RESPONSE           = '65536';
 %MQREGO_JOIN_SHARED             = '131072';
 %MQREGO_JOIN_EXCLUSIVE          = '262144';
 %MQREGO_LEAVE_ONLY              = '524288';
 %MQREGO_VARIABLE_USER_ID        = '1048576';
 %MQREGO_LOCKED                  = '2097152';
                                                                       
 /* User Attribute Selectors */
 %dcl MQUA_FIRST char;
 %dcl MQUA_LAST  char;
 %MQUA_FIRST = '65536';
 %MQUA_LAST  = '999999999';
                                                                       
                                                                       
 /********************************************************************/
 /*  MQCFH Structure -- PCF Header                                   */
 /********************************************************************/
                                                                       
 dcl
  1 MQCFH based,
   3 Type           fixed bin(31)
       init(MQCFT_COMMAND),        /* Structure type */
   3 StrucLength    fixed bin(31)
       init(MQCFH_STRUC_LENGTH),   /* Structure length */
   3 Version        fixed bin(31)
       init(MQCFH_VERSION_1),      /* Structure version number */
   3 Command        fixed bin(31)
       init(MQCMD_NONE),           /* Command identifier */
   3 MsgSeqNumber   fixed bin(31)
       init(1),                    /* Message sequence number */
   3 Control        fixed bin(31)
       init(MQCFC_LAST),           /* Control options */
   3 CompCode       fixed bin(31)
       init(MQCC_OK),              /* Completion code */
   3 Reason         fixed bin(31)
       init(MQRC_NONE),            /* Reason code qualifying completion
                                      code */
   3 ParameterCount fixed bin(31)
       init(0);                    /* Count of parameter structures */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQCFBS Structure -- PCF Byte String Parameter                   */
 /********************************************************************/
                                                                       
 dcl
  1 MQCFBS based,
   3 Type         fixed bin(31)
       init(MQCFT_BYTE_STRING),  /* Structure type */
   3 StrucLength  fixed bin(31)
       init(MQCFBS_STRUC_LENGTH_FIXED), /* Structure length */
   3 Parameter    fixed bin(31)
       init(0),                  /* Parameter identifier */
   3 StringLength fixed bin(31)
       init(0);                  /* Length of string */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQCFIL Structure -- PCF Integer-List Parameter                  */
 /********************************************************************/
                                                                       
 dcl
  1 MQCFIL based,
   3 Type        fixed bin(31)
       init(MQCFT_INTEGER_LIST), /* Structure type */
   3 StrucLength fixed bin(31)
       init(MQCFIL_STRUC_LENGTH_FIXED), /* Structure length */
   3 Parameter   fixed bin(31)
       init(0),                 /* Parameter identifier */
   3 Count       fixed bin(31)
       init(0);                 /* Count of parameter values */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQCFIN Structure -- PCF Integer Parameter                       */
 /********************************************************************/
                                                                       
 dcl
  1 MQCFIN based,
   3 Type        fixed bin(31)
       init(MQCFT_INTEGER),     /* Structure type */
   3 StrucLength fixed bin(31)
       init(MQCFIN_STRUC_LENGTH), /* Structure length */
   3 Parameter   fixed bin(31)
       init(0),                 /* Parameter identifier */
   3 Value       fixed bin(31)
       init(0);                 /* Parameter value */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQCFSL Structure -- PCF String-List Parameter                   */
 /********************************************************************/
                                                                       
 dcl
  1 MQCFSL based,
   3 Type           fixed bin(31)
       init(MQCFT_STRING_LIST),    /* Structure type */
   3 StrucLength    fixed bin(31)
       init(MQCFSL_STRUC_LENGTH_FIXED), /* Structure length */
   3 Parameter      fixed bin(31)
       init(0),                    /* Parameter identifier */
   3 CodedCharSetId fixed bin(31)
       init(MQCCSI_DEFAULT),       /* Coded character set identifier */
   3 Count          fixed bin(31)
       init(0),                    /* Count of parameter values */
   3 StringLength   fixed bin(31)
       init(0);                    /* Length of one string */
                                                                       
                                                                       
 /********************************************************************/
 /*  MQCFST Structure -- PCF String Parameter                        */
 /********************************************************************/
                                                                       
 dcl
  1 MQCFST based,
   3 Type           fixed bin(31)
       init(MQCFT_STRING),         /* Structure type */
   3 StrucLength    fixed bin(31)
       init(MQCFST_STRUC_LENGTH_FIXED), /* Structure length */
   3 Parameter      fixed bin(31)
       init(0),                    /* Parameter identifier */
   3 CodedCharSetId fixed bin(31)
       init(MQCCSI_DEFAULT),       /* Coded character set identifier */
   3 StringLength   fixed bin(31)
       init(0);                    /* Length of string */
                                                                       
                                                                       
 /********************************************************************/
 /*  End of CMQCFP                                                   */
 /********************************************************************/
